import { Duck } from '../../../index';
import Game from '../../game';
import Scene from '../../scene';
import Effect from '../effect';
export default class ExplosionEffect extends Effect {
    protected maxAge: number;
    protected speedRange: Duck.Types.ParticleEmitter.Range;
    constructor(rangeX: Duck.Types.ParticleEmitter.Range, rangeY: Duck.Types.ParticleEmitter.Range, game: Game, particleAmount: number | undefined, speedRange: Duck.Types.ParticleEmitter.Range | undefined, maxAge: number | undefined, color: string | undefined, scene: Scene);
    /**
     * @memberof Effect
     * @description Makes the particleEmitter emit
     * @since 1.2.0
     */
    emit(): void;
    /**
     * @memberof Effect
     * @description Stops the particleEmitter emitting
     * @since 1.2.0
     */
    stopEmit(): void;
    /**
     * @memberof Effect
     * @description Makes the particleEmitter emit for a duration
     * @param {number} ms Duration in milliseconds
     * @since 1.2.0
     */
    emitFor(ms: number): void;
    /**
     * @description Draws the effect.
     *
     * DO NOT CALL MANUALLY, CALLED IN GAME LOOP USING SCENE.displayList
     *
     */
    _draw(): void;
}
