import Game from '../../game';
import Scene from '../../scene';
import GameObject from '../gameObject';
/**
 * @class CanvasModulate
 * @classdesc Creates a DuckEngine CanvasModulate GameObject
 * @description The CanvasModulate Class. A large rectangle with a special zIndex to use as a background, works with lights
 * @extends GameObject
 * @since 2.0.0
 */
export default class CanvasModulate extends GameObject<'color'> {
    /**
     * @constructor CanvasModulate
     * @description Creates a CanvasModulate instance.
     * @param {number} x X position
     * @param {number} y Y position
     * @param {number} w Width
     * @param {number} h Height
     * @param {string} fillColor Color to fill the CanvasModulate with
     * @param {Game} game Game instance
     * @param {Scene} scene Scene instance
     */
    constructor(x: number, y: number, w: number, h: number, fillColor: string, game: Game, scene: Scene);
    /**
     * @description Draws the CanvasModulate gameobject.
     *
     * DO NOT CALL MANUALLY, CALLED IN GAME LOOP USING SCENE.displayList
     *
     */
    _draw(): void;
}
