var __webpack_require__={};(()=>{__webpack_require__.d=(exports,definition)=>{for(var key in definition){if(__webpack_require__.o(definition,key)&&!__webpack_require__.o(exports,key)){Object.defineProperty(exports,key,{enumerable:true,get:definition[key]})}}}})();(()=>{__webpack_require__.o=(obj,prop)=>Object.prototype.hasOwnProperty.call(obj,prop)})();var __webpack_exports__={};__webpack_require__.d(__webpack_exports__,{_:()=>Duck,Z:()=>lib});const __debugStack_duckengine=[];class Error{constructor(message){console.error("DuckEngine Error : "+message);__debugStack_duckengine.push(message)}}class Warn{constructor(message){console.warn("DuckEngine Warning : "+message);__debugStack_duckengine.push(message)}}class Log{constructor(message){console.log("DuckEngine : "+message);__debugStack_duckengine.push(message)}}const Debug={stack:()=>{return __debugStack_duckengine},Error:Error,Warn:Warn,Log:Log};const debug=Debug;function clamp(x,min,max){if(x<min)x=min;else if(x>max)x=max;return x}function degToRadians(degrees){return degrees*Math.PI/180}class Vector2{constructor(x=0,y=0){this.x=x;this.y=y}setValues(x,y){this.x=x;this.y=y;return this}setValuesVec(vector){this.x=vector.x;this.y=vector.y;return this}add(vector){this.x+=vector.x;this.y+=vector.y;return this}addNumber(number){this.x+=number;this.y+=number;return this}subtract(vector){this.x-=vector.x;this.y-=vector.y;return this}subtractNumber(number){this.x-=number;this.y-=number;return this}multiply(vector){this.x*=vector.x;this.y*=vector.y;return this}multiplyNumber(number){this.x*=number;this.y*=number;return this}divide(vector){this.x/=vector.x;this.y/=vector.y;return this}divideNumber(number){this.x/=number;this.y/=number;return this}round(){this.x=Math.round(this.x);this.y=Math.round(this.y);return this}angleBetween(vector){return Math.atan2(this.x*vector.y-this.y*vector.x,this.x*vector.x+this.y*vector.y)}angleTo(vector){return Math.atan2(vector.y-this.y,vector.x-this.x)}clone(){return new Vector2(this.x,this.y)}distance(vector){return Math.sqrt((vector.x-this.x)*(vector.x-this.x)+(vector.y-this.y)*(vector.y-this.y))}distanceSqr(vector){return(vector.x-this.x)*(vector.x-this.x)+(vector.y-this.y)*(vector.y-this.y)}dot(vector){return this.x*vector.x+this.y*vector.y}crossProduct(vector){return this.x*vector.y-this.y*vector.x}equals(vector){return this.x===vector.x&&this.y===vector.y}perpendicular(resultVector){resultVector=resultVector||new Vector2;return resultVector.setValues(-this.y,this.x)}moveTowards(current,target,maxDistanceDelta){const toVector_x=target.x-current.x;const toVector_y=target.y-current.y;const sqDist=toVector_x*toVector_x+toVector_y*toVector_y;if(sqDist===0||maxDistanceDelta>=0&&sqDist<=maxDistanceDelta*maxDistanceDelta){return target}const dist=Math.sqrt(sqDist);const newX=current.x+toVector_x/dist*maxDistanceDelta;const newY=current.y+toVector_y/dist*maxDistanceDelta;return new Vector2(newX,newY)}normalize(){const mag=this.magnitude();if(mag>0){this.divideNumber(mag)}return this}getNormal(vector,resultVector){resultVector=resultVector||new Vector2;return resultVector.setValues(vector.y-this.y,this.x-vector.x).normalize()}isZero(){return this.x===0&&this.y===0}scale(scalar){this.x*=scalar.x;this.y*=scalar.y;return this}negate(){this.x=-this.x;this.y=-this.y;return this}magnitude(){return Math.sqrt(this.x*this.x+this.y*this.y)}magnitudeSqr(){return this.x*this.x+this.y*this.y}scaleToMagnitude(magnitude){const k=magnitude/this.magnitude();this.x*=k;this.y*=k;return this}toString(){return`Vector2(${this.x}, ${this.y})`}toPrecision(precision){this.x=Number(this.x.toPrecision(precision));this.y=Number(this.y.toPrecision(precision));return this}translate(dx,dy){this.x+=dx;this.y+=dy;return this}translateX(dx){this.x+=dx;return this}translateY(dy){this.x+=dy;return this}tripleProduct(a,b,c,resultVector){resultVector=resultVector||new Vector2;const ac=a.dot(c);const bc=b.dot(c);return resultVector.setValues(b.x*ac-a.x*bc,b.y*ac-a.y*bc)}clamp(min,max){this.x=clamp(this.x,min,max);this.y=clamp(this.y,min,max);return this}clampMin(min){if(this.x<min){this.x=min}if(this.y<min){this.y=min}return this}clampMax(max){if(this.x>max){this.x=max}if(this.y>max){this.y=max}return this}rotate(degrees,center=Vector2.ZERO){const radians=degToRadians(degrees);const cx=center.x||0;const cy=center.y||0;const c=Math.cos(radians),s=Math.sin(radians);const x=this.x-cx;const y=this.y-cy;this.x=x*c-y*s+cx;this.y=x*s+y*c+cy;return this}reflect(){this.x*=-1;this.y*=-1;return this}abs(){this.x=Math.abs(this.x);this.y=Math.abs(this.y);return this}static get ZERO(){return new Vector2(0,0)}static get UP(){return new Vector2(0,-1)}static get DOWN(){return new Vector2(0,1)}static get LEFT(){return new Vector2(-1,0)}static get RIGHT(){return new Vector2(1,0)}static CREATE(x,y){if(!x&&!y)return this.ZERO;if(x&&!y)return new Vector2(x);if(!x&&y)return new Vector2(0,y);return new Vector2(x,y)}static fromVector2Like(vector2Like){return new Vector2(vector2Like.x,vector2Like.y)}static toVector2Like(vector2){return{x:vector2.x,y:vector2.y}}static fromVec(vector){return new Vector2(vector.x,vector.y)}}class Collider{constructor(hitbox,collidesWith,game){this.hitbox=hitbox;this.collidesWith=collidesWith;this.game=game}_update(hitbox,updatedCollidesWith){this.hitbox=hitbox;this.collidesWith=updatedCollidesWith;if(Array.isArray(this.collidesWith)){this.collidesWith.forEach(otherObject=>{if(otherObject.hitbox){this.collideHitboxes(otherObject.hitbox)}})}else{this.collidesWith.each(otherObject=>{if(otherObject.hitbox){this.collideHitboxes(otherObject.hitbox)}})}}collideHitboxes(hitbox2){const rectCX=hitbox2.position.x+hitbox2.w*.5;const rectCY=hitbox2.position.y+hitbox2.h*.5;const thisCX=this.hitbox.position.x+this.hitbox.w*.5;const thisCY=this.hitbox.position.y+this.hitbox.h*.5;const dx=rectCX-thisCX;const dy=rectCY-thisCY;const aw=(hitbox2.w+this.hitbox.w)*.5;const ah=(hitbox2.h+this.hitbox.h)*.5;if(Math.abs(dx)>aw||Math.abs(dy)>ah){return"none"}if(Math.abs(dx/this.hitbox.w)>Math.abs(dy/this.hitbox.h)){if(dx<0){this.hitbox.position.x=hitbox2.position.x+hitbox2.w;return"left"}else{this.hitbox.position.x=hitbox2.position.x-this.hitbox.w;return"right"}}else{if(dy<0){this.hitbox.position.y=hitbox2.position.y+hitbox2.h;return"top"}else{this.hitbox.position.y=hitbox2.position.y-this.hitbox.h;return"bottom"}}}}function uniqueID(){function chr4(){return Math.random().toString(16).slice(-4)}return chr4()+chr4()+"-"+chr4()+"-"+chr4()+"-"+chr4()+"-"+chr4()+chr4()+chr4()}function hitboxFaceIntersect(hitbox,hitbox2){const rectCX=hitbox2.position.x+hitbox2.w*.5;const rectCY=hitbox2.position.y+hitbox2.h*.5;const thisCX=hitbox.position.x+hitbox.w*.5;const thisCY=hitbox.position.y+hitbox.h*.5;const dx=rectCX-thisCX;const dy=rectCY-thisCY;const aw=(hitbox2.w+hitbox.w)*.5;const ah=(hitbox2.h+hitbox.h)*.5;if(Math.abs(dx)>aw||Math.abs(dy)>ah){return"none"}if(Math.abs(dx/hitbox.w)>Math.abs(dy/hitbox.h)){if(dx<0){hitbox.position.x=hitbox2.position.x+hitbox2.w;return"left"}else{hitbox.position.x=hitbox2.position.x-hitbox.w;return"right"}}else{if(dy<0){hitbox.position.y=hitbox2.position.y+hitbox2.h;return"top"}else{hitbox.position.y=hitbox2.position.y-hitbox.h;return"bottom"}}}function rectToRectIntersect(rect,rect2){const rectCX=rect2.position.x+rect2.w*.5;const rectCY=rect2.position.y+rect2.h*.5;const thisCX=rect.position.x+rect.w*.5;const thisCY=rect.position.y+rect.h*.5;const dx=rectCX-thisCX;const dy=rectCY-thisCY;const aw=(rect2.w+rect.w)*.5;const ah=(rect2.h+rect.h)*.5;if(Math.abs(dx)>aw||Math.abs(dy)>ah)return false;else return true}class Hitbox{constructor(position,w,h,offset,physicsObject,game,scene,debugColor){this.id=uniqueID();this.position=position;this.offset=offset;this.w=w;this.h=h;this.game=game;this.scene=scene;this.physicsObject=physicsObject;this.debugColor=debugColor;this.visible=debugColor?true:false;this.zIndex=Duck.Layers.Rendering.zIndex.graphicDebug;this.culled=debugColor?true:false;this.collisionState="none"}_draw(){if(this.game.renderer.ctx){if(this.debugColor){this.game.renderer.drawRect(this.position.x,this.position.y,this.w,this.h,this.debugColor)}}else{new debug.Error("CanvasRenderingContext2D is undefined. HTMLCanvasElement is undefined.")}}_update(physicsObject){this.physicsObject=physicsObject;this.position=this.physicsObject.position.add(this.offset)}setDebugColor(debugColor,visible=true){this.debugColor=debugColor;this.visible=visible}scale(scale){this.w=scale.x;this.h=scale.y}setPosition(newPosition,offset=this.offset){this.offset=offset;this.position=newPosition.add(this.offset)}auto(offset){if(this.physicsObject.shape==="circle"){const topLeft=new Vector2(this.physicsObject.position.x-this.physicsObject.r,this.physicsObject.position.y-this.physicsObject.r);if(offset){topLeft.add(offset)}this.position=topLeft;this.scale(new Vector2(this.physicsObject.r*2,this.physicsObject.r*2))}else{this.position=this.physicsObject.position;if(offset){this.position.add(offset)}this.scale(new Vector2(this.physicsObject.w,this.physicsObject.h))}}intersectsWith(hitbox){return rectToRectIntersect({position:{x:this.position.x,y:this.position.y},w:this.w,h:this.h},{position:{x:hitbox.position.x,y:hitbox.position.y},w:hitbox.w,h:hitbox.h})}intersectsFaceWith(hitbox){this.collisionState=hitboxFaceIntersect(this,hitbox);return this.collisionState}groupIntersectsFaceWith(hitboxes){const collisionStates=[];if(Array.isArray(hitboxes)){for(let i=0;i<hitboxes.length;i++){const hitbox=hitboxes[i];collisionStates.push(hitboxFaceIntersect(this,hitbox))}}else{for(let i=0;i<hitboxes.group.length;i++){const hitbox=hitboxes.group[i];collisionStates.push(hitboxFaceIntersect(this,hitbox))}}return collisionStates}getTop(){return this.position.y}getBottom(){return this.position.y+this.h}getLeft(){return this.position.x}getRight(){return this.position.x+this.w}getCenter(){return new Vector2(this.position.x+this.w/2,this.position.y+this.h/2)}getCenterY(){return this.position.y+this.h/2}getCenterX(){return this.position.x+this.w/2}}class PhysicsBody{constructor(shape,id,x,y,w,h,r,game,scene){this.shape=shape;this.id=id;this.position=new Vector2(x,y);this.w=w;this.h=h;this.r=r;this.options={type:"KinematicBody"};this.game=game;this.scene=scene;this.velocity=Vector2.ZERO;this.collider=undefined;this.collidesWith=[];this.enabled=true;this.isAttached=false;this.attachedChildren=[];this.attachOffset=Vector2.ZERO;this.bounds={x:-Infinity,y:-Infinity,w:Infinity,h:Infinity};this.physics={addCollider:collidesWith=>{var _a;if(!this.hitbox){new debug.Error("Cannot add collider to PhysicsObject. No hitbox exists. Create a hitbox first using PhysicsObject.physics.addHitbox");return undefined}if(!((_a=this.game.config.physics)===null||_a===void 0?void 0:_a.enabled)){new debug.Error("Cannot add collider to PhysicsObject. Game Config.physics.enabled must be truthy!")}this.collidesWith=collidesWith;this.collider=new Collider(this.hitbox,collidesWith,this.game);return this.collider},addHitbox:(w,h,offset=Vector2.ZERO,debugColor)=>{var _a;if(!((_a=this.game.config.physics)===null||_a===void 0?void 0:_a.enabled)){new debug.Error("Cannot add hitbox to PhysicsObject. Game Config.physics.enabled must be truthy!")}this.hitbox=new Hitbox(this.position,w||0,h||0,offset,this,this.game,this.scene,debugColor);if(!w&&!h){this.hitbox.auto(offset)}this.scene.displayList.add(this.hitbox);return this.hitbox},setBounds:(x,y,w,h)=>{this.bounds.x=x;this.bounds.y=y;this.bounds.w=w;this.bounds.h=h}}}setEnabled(enabled){this.enabled=enabled;return this.enabled}_update(){var _a;this.position.x+=this.velocity.x*this.game.smoothDeltaTime;this.position.y+=this.velocity.y*this.game.smoothDeltaTime;this.position.x=clamp(this.position.x,this.bounds.x,this.bounds.w);this.position.y=clamp(this.position.y,this.bounds.y,this.bounds.h);this.velocity.x=0;this.velocity.y=0;if(this.game.config.roundPixels){this.position.round()}if((_a=this.game.config.physics)===null||_a===void 0?void 0:_a.gravity){if(this.options.type==="KinematicBody"||this.options.type==="RigidBody"){this.applyGravity(Vector2.fromVector2Like(this.game.config.physics.gravity))}}this.attachedChildren.forEach(object=>{const pos=this.position.clone();pos.subtract(object.attachOffset);object.position=pos;if(object.hitbox){object.hitbox.position=object.position.clone().add(object.hitbox.offset)}})}setType(type){this.options.type=type;return this.options}attachTo(object,diffOffset){const offset=diffOffset||Vector2.fromVec(object.position).subtract(this.position);this.isAttached=true;this.attachOffset=offset;object.attachedChildren.push(this)}attachChild(object,diffOffset){const offset=diffOffset||Vector2.fromVec(this.position).subtract(object.position);object.isAttached=true;object.attachOffset=offset;this.attachedChildren.push(object)}detachFrom(object){const f=object.attachedChildren.find(o=>o.id===this.id);if(f){this.isAttached=false;this.attachOffset=Vector2.ZERO;object.attachedChildren.splice(object.attachedChildren.findIndex(o=>o.id===this.id),1)}else{new debug.Error("Cannot detachFrom from object, PhysicsBody is not attached to anything.")}}detachChild(object){const f=this.attachedChildren.find(o=>o.id===object.id);if(f){object.isAttached=false;object.attachOffset=Vector2.ZERO;this.attachedChildren.splice(this.attachedChildren.findIndex(o=>o.id===object.id),1)}else{new debug.Error("Cannot detachChild from PhysicsBody, object is not attached to anything.")}}setVelocity(axis,pxPerSecond){if(this.options.type!=="KinematicBody"){new debug.Error(`Cannot set velocity as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody.`);return}if(this.isAttached){new debug.Error("Cannot set velocity as PhysicsBody is attached to another PhysicsBody.");return}if(axis==="x"){this.velocity.x=pxPerSecond}if(axis==="y"){this.velocity.y=pxPerSecond}}setVelocityX(pxPerSecond){if(this.options.type!=="KinematicBody"){new debug.Error(`Cannot set velocity X as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody.`);return}if(this.isAttached){new debug.Error("Cannot set velocity X as PhysicsBody is attached to another PhysicsBody.");return}this.velocity.x=pxPerSecond}setVelocityY(pxPerSecond){if(this.options.type!=="KinematicBody"){new debug.Error(`Cannot set velocity Y as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody.`);return}if(this.isAttached){new debug.Error("Cannot set velocity Y as PhysicsBody is attached to another PhysicsBody.");return}this.velocity.y=pxPerSecond}accelerateVelocity(target,amount){if(this.options.type!=="KinematicBody"){new debug.Error(`Cannot accelerate velocity as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody.`);return}if(this.isAttached){new debug.Error("Cannot accelerate velocity as PhysicsBody is attached to another PhysicsBody.");return}this.velocity.moveTowards(this.velocity,target,amount)}applyFriction(frictionAmount){if(this.options.type!=="KinematicBody"&&this.options.type!=="RigidBody"){new debug.Error(`Cannot apply friction as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody or RigidBody.`);return}if(this.isAttached){new debug.Error("Cannot apply friction as PhysicsBody is attached to another PhysicsBody.");return}this.velocity.subtract(frictionAmount).clampMin(0)}applyGravity(gravity){if(this.options.type!=="KinematicBody"&&this.options.type!=="RigidBody"){new debug.Error(`Cannot apply gravity as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody or RigidBody.`);return}if(this.isAttached){new debug.Error("Cannot apply gravity as PhysicsBody is attached to another PhysicsBody.");return}if(gravity.x!==0){this.velocity.x+=gravity.x}if(gravity.y!==0){this.velocity.y+=gravity.y}}bounceVelocityBounds(bounds=this.bounds,restitution=1){if(this.options.type!=="KinematicBody"&&this.options.type!=="RigidBody"){new debug.Error(`Cannot bounce velocity as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody or RigidBody.`);return}if(this.isAttached){new debug.Error("Cannot bounce velocity as PhysicsBody is attached to another PhysicsBody.");return}if(this.position.x>bounds.w||this.position.x<bounds.x){this.velocity.x=this.velocity.x*-restitution}if(this.position.y>bounds.h||this.position.y<bounds.y){this.velocity.y=this.velocity.y*-restitution}}reflectVelocity(){if(this.options.type!=="KinematicBody"&&this.options.type!=="RigidBody"){new debug.Error(`Cannot reflect velocity as PhysicsBody.options.type is ${this.options.type} instead of KinematicBody or RigidBody.`);return}if(this.isAttached){new debug.Error("Cannot reflect velocity as PhysicsBody is attached to another PhysicsBody.");return}this.velocity.reflect()}autoFitHitbox(offset){var _a;(_a=this.hitbox)===null||_a===void 0?void 0:_a.auto(offset)}scaleHitbox(scale){var _a;(_a=this.hitbox)===null||_a===void 0?void 0:_a.scale(scale)}getTop(){return this.position.y}getBottom(){return this.position.y+this.h}getLeft(){return this.position.x}getRight(){return this.position.x+this.w}getCenter(){if(this.shape==="circle"){return new Vector2(this.position.x,this.position.y)}else{return new Vector2(this.position.x+this.w/2,this.position.y+this.h/2)}}getCenterY(){if(this.shape==="circle"){return this.position.y+this.r}else{return this.position.y+this.h/2}}getCenterX(){if(this.shape==="circle"){return this.position.x+this.r}else{return this.position.x+this.w/2}}isColliding(obj){var _a,_b;if(obj.hitbox){return((_a=this.hitbox)===null||_a===void 0?void 0:_a.intersectsFaceWith(obj.hitbox))!=="none"?(_b=this.hitbox)===null||_b===void 0?void 0:_b.intersectsFaceWith(obj.hitbox):false}else{return false}}isCollidingGroup(objects){var _a;const hitboxes=[];if(Array.isArray(objects)){objects.forEach(obj=>{if(obj.hitbox){hitboxes.push(obj.hitbox)}})}else{objects.each(obj=>{if(obj.hitbox){hitboxes.push(obj.hitbox)}})}const states=(_a=this.hitbox)===null||_a===void 0?void 0:_a.groupIntersectsFaceWith(hitboxes);return(states===null||states===void 0?void 0:states.includes("top"))?"top":false||(states===null||states===void 0?void 0:states.includes("bottom"))?"bottom":false||(states===null||states===void 0?void 0:states.includes("left"))?"left":false||(states===null||states===void 0?void 0:states.includes("right"))?"right":false}}class GameObject extends PhysicsBody{constructor(shape,x,y,w,h,r,texture,game,scene){const id=uniqueID();super(shape,id,x,y,w,h,r,game,scene);this.texture=texture;this.visible=true;this.zIndex=Duck.Layers.Rendering.zIndex.gameobject;this.culled=true;if(this.game.renderer.ctx){this.game.renderer.setBlendMode("source-over")}}_draw(){}setVisible(visible){this.visible=visible;this.game.renderer.pipeline.pool()}setScale(scale){if(typeof scale!=="number"){if(scale.width){this.w=scale.width}if(scale.height){this.h=scale.height}}else{this.r=scale}}setFillColor(fillColor){this.texture.texture=fillColor}}class TextureBase{constructor(type,dataType,texture,w,h){this.id=uniqueID();this.type=type;this.dataType=dataType;this.texture=texture;this.scale=new Vector2(w,h);if(this.type==="image"){this.texture.width=this.scale.x;this.texture.height=this.scale.y}}setScale(scale){this.scale=new Vector2(scale.width,scale.height);if(this.type==="image"){this.texture.width=this.scale.x;this.texture.height=this.scale.y}return this.scale}setImagePath(imagePath){if(this.type==="image"){this.texture.src=imagePath}}setFillColor(color){if(this.type==="color"){this.texture=color}}static fromColor(color,w,h){return new TextureBase("color","base",color,w,h)}static fromTexture(imgpath,w,h){const img=new Image(w,h);img.src=imgpath;return new TextureBase("image","base",img,w,h)}static fromEither(fillColorOrIMGPath,w,h){return new TextureBase("either","base",fillColorOrIMGPath,w,h)}}class Texture extends TextureBase{constructor(type,texture,w,h){if(type==="image"){super("image","base",texture,w,h)}else if(type==="color"){super("color","base",texture,w,h)}else{super("either","base",texture,w,h)}}}class Circle extends GameObject{constructor(x,y,r,fillColor,game,scene){super("circle",x,y,0,0,r,Texture.fromColor(fillColor,r,r),game,scene)}_draw(){if(this.game.renderer.ctx){this.game.renderer.drawCircle(this.position.x,this.position.y,this.r,this.texture.texture)}else{new debug.Error("CanvasRenderingContext2D is undefined. Canvas is undefined.")}}}class Rect extends GameObject{constructor(x,y,w,h,fillColor,game,scene){super("rect",x,y,w,h,0,Texture.fromColor(fillColor,w,h),game,scene)}_draw(){if(this.game.renderer.ctx){this.game.renderer.drawRect(this.position.x,this.position.y,this.w,this.h,this.texture.texture)}else{new debug.Error("CanvasRenderingContext2D is undefined. HTMLCanvasElement is undefined.")}}}function circleRectCollision(circle,rect){let dx=Math.abs(circle.position.x-(rect.position.x+rect.w/2));let dy=Math.abs(circle.position.y-(rect.position.y+rect.h/2));if(dx>circle.r+rect.w/2){return false}if(dy>circle.r+rect.h/2){return false}if(dx<=rect.w){return true}if(dy<=rect.h){return true}dx=dx-rect.w;dy=dy-rect.h;return dx*dx+dy*dy<=circle.r*circle.r}function randomInt(min,max){return Math.floor(Math.random()*(max-min+1)+min)}function lerp(start,end,amount){return(1-amount)*start+amount*end}class RoundRect extends GameObject{constructor(x,y,w,h,r,fillColor,game,scene){super("roundrect",x,y,w,h,r,Texture.fromColor(fillColor,w,h),game,scene)}_draw(){if(this.game.renderer.ctx){this.game.renderer.drawRoundRect(this.position.x,this.position.y,this.w,this.h,this.r,this.texture.texture)}else{new debug.Error("CanvasRenderingContext2D is undefined as Canvas is undefined.")}}}class Timer{constructor(ms,cb,args,repeat){this.seconds=ms/1e3;this.cb=cb;this.repeat=repeat-1;this.counter=0;this.repeatCounter=0;this.done=false;this.args=args}count(delta){if(this.done){return}if(this.counter<this.seconds){this.counter+=delta;return}if(this.repeatCounter<this.repeat){this.repeatCounter++;this.counter=0;this.cb(...this.args,this.counter,this.repeatCounter,this.done);return}if(this.counter>this.seconds){this.done=true;this.cb(...this.args,this.counter,this.repeatCounter,this.done);return}}stop(){this.done=true}reset(){this.done=false;this.counter=0;this.repeatCounter=0}pause(){this.done=true}resume(){this.done=true}}class AnimationFrame{constructor(col,row,sprite){this.col=col;this.row=row;this.sprite=sprite}set(){this.sprite.currentCol=this.col;this.sprite.currentRow=this.row}}class animation_Animation{constructor(config,game,scene,sprite){this.key=config.key;this.config=config;this.game=game;this.scene=scene;this.sprite=sprite;this.countBy=this.config.useDelta?this.game.deltaTime:1e3/this.config.frameRate;this.repeat=this.config.repeat||1;this.repeatCounter=0;this.frames=this.createFrames();this.reversedFrames=this.frames.slice().reverse();this.animationNormalTimer=new Timer(1e3/this.config.frameRate,()=>{this.normalStep(this)},[],this.frames.length*this.repeat);this.animationReverseTimer=new Timer(1e3/this.config.frameRate,()=>{this.reverseStep(this)},[],this.reversedFrames.length*this.repeat);if(this.config.delay){this.delayTimer=new Timer(this.config.delay,()=>undefined,[],1)}this.currentIndex=0;this.currentFrame=this.frames[this.currentIndex]}createFrames(){const res=[];for(let i=0;i<this.config.frames.length;i++){const frameBase=this.config.frames[i];res.push(new AnimationFrame(frameBase.col,frameBase.row,this.sprite))}return res}normalStep(self){if(self.currentIndex<self.frames.length-1){self.currentIndex+=1;self.currentFrame=self.frames[self.currentIndex];self.currentFrame.set()}else{self.repeatCounter+=1;if(self.config.yoyo){self.stop();self.playReverse()}else if(self.repeatCounter<self.repeat){self.currentIndex=0;self.currentFrame=self.frames[self.currentIndex];self.currentFrame.set()}}}reverseStep(self){if(self.currentIndex<self.reversedFrames.length-1){self.currentIndex+=1;self.currentFrame=self.reversedFrames[self.currentIndex];self.currentFrame.set()}else{self.repeatCounter+=1;if(self.config.yoyo){self.stopReverse();self.play()}else if(self.repeatCounter<self.repeat){self.currentIndex=0;self.currentFrame=self.frames[self.currentIndex];self.currentFrame.set()}}}setRepeat(repeat){this.repeat=repeat;this.animationNormalTimer.repeat=this.repeat}setRepeatReverse(repeat){this.repeat=repeat;this.animationReverseTimer.repeat=this.repeat}play(){this.countBy=this.config.useDelta?this.game.deltaTime:1e3/this.config.frameRate;if(this.delayTimer){this.delayTimer.count(this.countBy);if(this.delayTimer.done){this.animationNormalTimer.count(this.countBy)}}else{this.animationNormalTimer.count(this.countBy)}}playReverse(){this.countBy=this.config.useDelta?this.game.deltaTime:1e3/this.config.frameRate;if(this.delayTimer){this.delayTimer.count(this.countBy);if(this.delayTimer.done){this.animationReverseTimer.count(this.countBy)}}else{this.animationReverseTimer.count(this.countBy)}}pause(){this.animationNormalTimer.pause()}pauseReverse(){this.animationReverseTimer.pause()}resume(){this.animationNormalTimer.resume()}resumeReverse(){this.animationReverseTimer.resume()}stop(){this.animationNormalTimer.stop()}stopReverse(){this.animationReverseTimer.stop()}restart(){this.animationNormalTimer.reset()}restartReverse(){this.animationReverseTimer.reset()}}class AnimationState{constructor(key,animation,vector,autoAdvance){this.key=key;this.animation=animation;this.autoAdvance=autoAdvance;this.vector=vector;this.connections=[]}}class StateMachine{constructor(config,animations){this.config=config;this.animations=animations;this.connections=[];this.config.connections.forEach(base=>{if(base.connType==="one"){this.connectTo(base.from,base.to)}else{this.connectLoop(base.from,base.to)}});this.currentState=this.connections.find(conn=>conn.find(state=>state.key===this.config.defaultState))}connectTo(from,to){const fromAnim=this.animations.find(anim=>anim.config.key===from.key);const toAnim=this.animations.find(anim=>anim.config.key===to.key);if(fromAnim&&toAnim){const fromState=new AnimationState(fromAnim.key,fromAnim,from.vector,from.autoAdvance||false);const toState=new AnimationState(toAnim.key,toAnim,to.vector,to.autoAdvance||false);this.connections.push([fromState,toState])}}connectLoop(from,to){const fromAnim=this.animations.find(anim=>anim.config.key===from.key);const toAnim=this.animations.find(anim=>anim.config.key===to.key);if(fromAnim&&toAnim){const fromState=new AnimationState(fromAnim.key,fromAnim,from.vector,from.autoAdvance||false);const toState=new AnimationState(toAnim.key,toAnim,to.vector,to.autoAdvance||false);fromState.connections.push(toState);toState.connections.push(fromState);this.connections.push([fromState,toState],[toState,fromState])}}travel(vector){const state=this.connections.find(connArray=>connArray.find(state=>state.vector.equals(vector)));if(this.canTravel(state.key)){this.currentState=state}}canTravel(dest){return this.currentState.connections.find(state=>state.key===dest)?true:false}}class AnimationManager{constructor(game,scene,sprite,defaultAnimation){this.game=game;this.scene=scene;this.sprite=sprite;this.animations=[];this.currentAnimation=this.add(defaultAnimation)}createStateMachine(config,animations){return new StateMachine(config,animations)}setCurrentAnimation(key){this.currentAnimation=this.get(key)}add(config){const anim=new animation_Animation(config,this.game,this.scene,this.sprite);this.animations.push(anim);return anim}remove(key){const anim=this.get(key);if(anim){this.animations.splice(this.getIndex(key))}}get(key){return this.animations.find(anim=>anim.key===key)}getIndex(key){return this.animations.findIndex(anim=>anim.key===key)}clear(){this.animations=[]}setRepeat(repeat){this.currentAnimation.setRepeat(repeat)}setRepeatReverse(repeat){this.currentAnimation.setRepeatReverse(repeat)}play(){this.currentAnimation.play()}playReverse(){this.currentAnimation.playReverse()}pause(){this.currentAnimation.pause()}pauseReverse(){this.currentAnimation.pause()}resume(){this.currentAnimation.resume()}resumeReverse(){this.currentAnimation.resumeReverse()}stop(){this.currentAnimation.stop()}stopReverse(){this.currentAnimation.stopReverse()}restart(){this.currentAnimation.restart()}restartReverse(){this.currentAnimation.restartReverse()}}class Sprite extends GameObject{constructor(x,y,w,h,textureKey,game,scene,currentRow,currentCol){super("sprite",x,y,w,h,0,scene.loader.textureStack.find(t=>t.key===textureKey).value,game,scene);this.currentRow=currentRow;this.currentCol=currentCol;const defaultAnimConfig={key:"__default",frameRate:0,frames:[{col:this.currentCol,row:this.currentRow}]};this.anims=new AnimationManager(this.game,this.scene,this,defaultAnimConfig);this.defaultAnim=this.anims.get("__default")}_draw(){if(this.game.renderer.ctx){if(this.texture.dataType==="sheet"){this.game.renderer.drawSprite(this.position.x,this.position.y,this.w,this.h,this.texture,this.currentRow,this.currentCol)}else{this.game.renderer.drawSprite(this.position.x,this.position.y,this.w,this.h,this.texture)}}else{new debug.Error("CanvasRenderingContext2D is undefined. HTMLCanvasElement is undefined.")}}setScale(scale){if(scale.width){this.w=scale.width;this.texture.setScale({width:this.w})}if(scale.height){this.h=scale.height;this.texture.setScale({height:this.h})}}setImagePath(imgpath){this.texture.texture.src=imgpath}setFillColor(color){new debug.Warn("Cannot fill color of a sprite. Changed the image path instead. Use setImagePath instead.")}}function getValuesHSL(hsl){let res=hsl.substring(4,hsl.length-1).replace(/ /g,"").replace(/%/g,"").split(",");return res}function isHex(str){return/^#[0-9A-F]{6}|#[0-9A-F]{3}$/i.test(str)}function hexToRGBA(hex,alpha){if(isHex(hex)){hex=hex.replace("#","");if(hex.length===3){hex=hex[0]+hex[0]+hex[1]+hex[1]+hex[2]+hex[2]}const[r,g,b]=hex.match(/\w\w/g).map(x=>parseInt(x,16));return`rgba(${r},${g},${b},${alpha})`}else{new debug.Error("Cannot convert hex to RGBA. Invalid hex.");return"rgba(0, 0, 0, 1)"}}function hslToRGB(h,s,l){let r,g,b;h=parseInt(h);s=parseInt(s);l=parseInt(l);if(s===0){r=g=b=l}else{const hue2rgb=function hue2rgb(p,q,t){if(t<0)t+=1;if(t>1)t-=1;if(t<1/6)return p+(q-p)*6*t;if(t<1/2)return q;if(t<2/3)return p+(q-p)*(2/3-t)*6;return p};const q=l<.5?l*(1+s):l+s-l*s;const p=2*l-q;r=hue2rgb(p,q,h+1/3);g=hue2rgb(p,q,h);b=hue2rgb(p,q,h-1/3)}return`rgb(${Math.round(r*255)}, ${Math.round(g*255)}, ${Math.round(b*255)})`}function isHSL(str){return/hsl[(]\s*0*(?:[12]?\d{1,2}|3(?:[0-5]\d|60))\s*(?:\s*,\s*0*(?:\d\d?(?:\.\d+)?\s*%|\.\d+\s*%|100(?:\.0*)?\s*%)){2}\s*[)]$/.test(str)}function isRGB(str){return/^rgb[(](?:\s*0*(?:\d\d?(?:\.\d+)?(?:\s*%)?|\.\d+\s*%|100(?:\.0*)?\s*%|(?:1\d\d|2[0-4]\d|25[0-5])(?:\.\d+)?)\s*(?:,(?![)])|(?=[)]))){3}[)]$/.test(str)}function rgbToRGBA(color,alpha){let new_col="";new_col=color.replace(/rgb/i,"rgba");new_col=new_col.replace(/\)/i,`,${alpha})`);return new_col}function convertColorToRGBA(color,alpha){let res="";if(isHex(color)){res=hexToRGBA(color,alpha)}if(isRGB(color)){res=rgbToRGBA(color,alpha)}if(isHSL(color)){const values=getValuesHSL(color);const a=hslToRGB(values[0],values[1],values[2]);res=rgbToRGBA(a,alpha)}return res}class StaticLight extends GameObject{constructor(x,y,r,fillColor,alpha,game,scene){super("circle",x,y,0,0,r,Texture.fromColor(fillColor,r,r),game,scene);this.r=r;this.alpha=alpha;this.game=game;this.visible=true;this.zIndex=2;this.color=fillColor;this.color=convertColorToRGBA(this.color,this.alpha);this.texture.texture=this.color}_draw(){if(this.game.renderer.ctx){this.game.renderer.setBlendMode("lighten");this.game.renderer.drawCircle(this.position.x,this.position.y,this.r,this.texture.texture);this.game.renderer.setBlendMode("source-over")}else{new debug.Error("CanvasRenderingContext2D is undefined. Canvas is undefined.")}}setFillColorAlpha(color,alpha){this.color=convertColorToRGBA(color,alpha)}}const DisplayEvents={SET_SCALE:"DISPLAY_SET_SCALE",FULLSCREEN:"DISPLAY_FULLSCREEN",UNFULLSCREEN:"DISPLAY_UNFULLSCREEN",FOCUS:"DISPLAY_FOCUS",BLUR:"DISPLAY_BLUR"};const displayEvents=DisplayEvents;const GameEvents={FOCUS:"GAME_FOCUS",BLUR:"GAME_BLUR",START:"GAME_START",STOP:"GAME_STOP",LOAD_BEGIN:"GAME_LOAD_BEGIN",LOAD_FINISH:"GAME_LOAD_FINISH",SCENE_ADD:"GAME_SCENE_ADD",SCENE_REMOVE:"GAME_SCENE_REMOVE",LOAD_SCENE:"GAME_LOAD_SCENE",SWITCH_SCENE:"GAME_SWITCH_SCENE",SHOW_SCENE:"GAME_SHOW_SCENE",DRAW_SPLASH:"GAME_DRAW_SPLASH",CLEAR_FRAME:"GAME_CLEAR_FRAME",SET_SCALE:"GAME_SET_SCALE",SET_BACKGROUND:"GAME_SET_BACKGROUND",SYNC_CACHE:"GAME_SYNC_CACHE",LOCK_POINTER:"GAME_LOCK_POINTER",UNLOCK_POINTER:"GAME_UNLOCK_POINTER",CONTEXT_LOST:"GAME_CONTEXT_LOST",CONTEXT_RESTORED:"GAME_CONTEXT_RESTORED"};const gameEvents=GameEvents;const RendererEvents={PIPELINE_POOL:"RENDERER_PIPELINE_POOL",CLEAR_FRAME:"CLEAR_FRAME"};const rendererEvents=RendererEvents;const ButtonEvents={CLICK:"BUTTON_CLICK",HOVER:"BUTTON_HOVER",NOTHOVER:"BUTTON_NOTHOVER"};const buttonEvents=ButtonEvents;const CutsceneEvents={START:"CUTSCENE_START",END:"CUTSCENE_END",NEXT:"CUTSCENE_NEXT"};const cutsceneEvents=CutsceneEvents;const GroupEvents={ADD:"GROUP_ADD",REMOVE:"GROUP_REMOVE"};const groupEvents=GroupEvents;const EVENTS={BUTTON:buttonEvents,GROUP:groupEvents,CUTSCENE:cutsceneEvents,GAME:gameEvents,RENDERER:rendererEvents,DISPLAY:displayEvents};const events=EVENTS;class UI extends GameObject{constructor(shape,x,y,w,h,r,texture,game,scene){super(shape,x,y,w,h,r,texture,game,scene)}}class Button extends UI{constructor(shape,x,y,w,h,r,fillColorOrIMGPath,text,game,scene){super(shape,x,y,w,h,r,Texture.fromEither(fillColorOrIMGPath,w,h),game,scene);this.shape=shape;this.text=text;this.hovering=false;this.zIndex=Duck.Layers.Rendering.zIndex.button;if(this.game.canvas){this.game.canvas.addEventListener("click",e=>{const rect=this.game.canvas.getBoundingClientRect();const mousePos={x:e.clientX-rect.left,y:e.clientY-rect.top};const buttonPos={x:this.position.x,y:this.position.y};if(this.scene.currentCamera){const coords=this.scene.currentCamera.worldToScreen(this.position.x,this.position.y,this);buttonPos.x=coords.position.x;buttonPos.y=coords.position.y}if(rectToRectIntersect({position:buttonPos,w:this.w,h:this.h},{position:{x:mousePos.x,y:mousePos.y},w:1,h:1})&&this.scene.visible){this.game.eventEmitter.emit(events.BUTTON.CLICK,{x:mousePos.x,y:mousePos.y,type:events.BUTTON.CLICK})}});this.game.canvas.addEventListener("mousemove",e=>{const rect=this.game.canvas.getBoundingClientRect();const mousePos={x:e.clientX-rect.left,y:e.clientY-rect.top};const buttonPos={x:this.position.x,y:this.position.y};if(this.scene.currentCamera){const coords=this.scene.currentCamera.worldToScreen(this.position.x,this.position.y,this);buttonPos.x=coords.position.x;buttonPos.y=coords.position.y}if(rectToRectIntersect({position:buttonPos,w:this.w,h:this.h},{position:{x:mousePos.x,y:mousePos.y},w:1,h:1})&&this.scene.visible){this.game.eventEmitter.emit(events.BUTTON.HOVER,{x:mousePos.x,y:mousePos.y,type:events.BUTTON.HOVER});this.hovering=true}else if(this.scene.visible){this.game.eventEmitter.emit(events.BUTTON.NOTHOVER,{x:mousePos.x,y:mousePos.y,type:events.BUTTON.NOTHOVER});this.hovering=false}})}else{new debug.Error("Cannot add event listeners to canvas for mouseover and click for button. Canvas element is undefined or null.")}}_draw(){if(this.game.renderer.ctx){switch(this.shape){case"rect":this.game.renderer.drawRect(this.position.x,this.position.y,this.w,this.h,this.texture.texture);break;case"roundrect":this.game.renderer.drawRoundRect(this.position.x,this.position.y,this.w,this.h,this.r,this.texture.texture);break;case"sprite":this.game.renderer.drawSprite(this.position.x,this.position.y,this.w,this.h,this.texture);break;default:new debug.Error("Cannot draw button. Shape must be a rect, roundrect, or sprite.");break}}}on(type,func){this.game.eventEmitter.on(`BUTTON_${type}`,func)}off(type){this.game.eventEmitter.off(`BUTTON_${type}`)}}function extractNumbers(string){var _a;return Number((_a=string.match(/\d/g))===null||_a===void 0?void 0:_a.join(""))}class Text extends UI{constructor(text,config,game,scene){super("rect",config.x,config.y,0,0,0,Texture.fromColor(text,0,0),game,scene);this.text=text;this.config=config;this.game=game;this.w=this.game.renderer.measureText(config.styles.fontCSS,this.text).width;this.h=extractNumbers(config.styles.fontCSS);this.texture.setScale({width:this.w,height:this.h});this.zIndex=Duck.Layers.Rendering.zIndex.text}_draw(){if(this.game.renderer.ctx){this.game.renderer.setFont(this.config.styles.fontCSS);this.game.renderer.setLineWidth(this.config.styles.strokeWidth||1);this.game.renderer.setStrokeColor(this.config.styles.strokeColor||"#000");this.game.renderer.setFillColor(this.config.styles.fillColor||"#000");if(this.config.method==="draw"){this.game.renderer.drawText(this.text,this.position.x,this.position.y,this.config.styles.maxWidth)}if(this.config.method==="stroke"){this.game.renderer.strokeText(this.text,this.position.x,this.position.y,this.config.styles.maxWidth)}if(this.config.method==="draw-stroke"){this.game.renderer.drawText(this.text,this.position.x,this.position.y,this.config.styles.maxWidth);this.game.renderer.strokeText(this.text,this.position.x,this.position.y,this.config.styles.maxWidth)}}}setText(text){this.text=text}}class Particle extends GameObject{constructor(shape,w,h,r,fillColorOrIMGPath,game,scene){super(shape,0,0,w,h,r,Texture.fromEither(fillColorOrIMGPath,w,h),game,scene);this.originalFillColorOrIMGPath=fillColorOrIMGPath;this.w=w;this.h=h;this.r=r;this.floatVelocity=Vector2.ZERO;this.zIndex=Duck.Layers.Rendering.zIndex.particle;this.visible=false;this.age=0;setInterval(()=>{this.age++},1e3)}_draw(){if(this.game.renderer.ctx){switch(this.shape){case"circle":this.game.renderer.drawCircle(this.position.x,this.position.y,this.r,this.texture.texture);break;case"rect":this.game.renderer.drawRect(this.position.x,this.position.y,this.w,this.h,this.texture.texture);break;case"roundrect":this.game.renderer.drawRoundRect(this.position.x,this.position.y,this.w,this.h,this.r,this.texture.texture);break;case"sprite":this.game.renderer.drawSprite(this.position.x,this.position.y,this.w,this.h,this.texture.texture);break;default:if(this.game.config.debug){new debug.Warn('Cannot draw Particle. Particle Shape is not a "circle", "rect", "roundrect", or "sprite".')}break}}else{new debug.Error("Cannot draw particle. CanvasRenderingContext2D is undefined.")}}_update(){var _a;this.position.x+=this.velocity.x*this.game.smoothDeltaTime;this.position.y+=this.velocity.y*this.game.smoothDeltaTime;this.position.x+=this.floatVelocity.x*this.game.smoothDeltaTime;this.position.y+=this.floatVelocity.y*this.game.smoothDeltaTime;this.position.x=clamp(this.position.x,this.bounds.x,this.bounds.w);this.position.y=clamp(this.position.y,this.bounds.y,this.bounds.h);this.velocity.x=0;this.velocity.y=0;if((_a=this.game.config.physics)===null||_a===void 0?void 0:_a.gravity){if(this.options.type==="KinematicBody"||this.options.type==="RigidBody"){this.applyGravity(Vector2.fromVector2Like(this.game.config.physics.gravity))}}this.attachedChildren.forEach(object=>{const pos=this.position.clone();pos.subtract(object.attachOffset);object.position=pos;if(object.hitbox){object.hitbox.position=object.position.clone().add(object.hitbox.offset)}})}setImagePath(imagePath){this.texture.setImagePath(imagePath)}}class map_Map{constructor(origin,tileLayers,game,scene){this.id=uniqueID();this.shape="map";this.origin=Vector2.fromVector2Like(origin);this.tileLayers=tileLayers;this.game=game;this.scene=scene;this.visible=true;this.zIndex=2;this.culled=true}_draw(){}}class Camera{constructor(game,scene){this.lerpX=1;this.lerpY=1;this.game=game;this.scene=scene;this.distance=1e3;this.isMain=false;if(scene.mainCamera===this){this.isMain=true}this.lookAt=[0,0];this.fieldOfView=Math.PI/4;this.viewport={left:0,right:0,top:0,bottom:0,w:0,h:0,scale:[1,1]};this.bounds;this.following;this.updateViewport()}begin(){this.game.renderer.save();this.applyScale();this.applyTranslation();if(this.following){if(this.following.shape==="rect"){if(this.bounds){if(rectToRectIntersect(this.following,this.bounds)){this.lookAt[0]=lerp(this.lookAt[0],this.following.getCenterX(),this.lerpX);this.lookAt[1]=lerp(this.lookAt[1],this.following.getCenterY(),this.lerpY)}}else{this.lookAt[0]=lerp(this.lookAt[0],this.following.getCenterX(),this.lerpX);this.lookAt[1]=lerp(this.lookAt[1],this.following.getCenterY(),this.lerpY)}}if(this.following.shape==="circle"){if(this.bounds){if(circleRectCollision(this.following,this.bounds)){this.lookAt[0]=lerp(this.lookAt[0],this.following.getCenterX(),this.lerpX);this.lookAt[1]=lerp(this.lookAt[1],this.following.getCenterY(),this.lerpY)}}else{this.lookAt[0]=lerp(this.lookAt[0],this.following.getCenterX(),this.lerpX);this.lookAt[1]=lerp(this.lookAt[1],this.following.getCenterY(),this.lerpY)}}this.updateViewport()}}end(){this.game.renderer.restore()}applyScale(){this.game.renderer.scale(this.viewport.scale[0],this.viewport.scale[1])}applyTranslation(){this.game.renderer.translate(-this.viewport.left,-this.viewport.top)}updateViewport(){if(this.game.renderer.ctx){let cWidth=this.game.canvas.width;let cHeight=this.game.canvas.height;if(this.game.config.dprScale&&window.devicePixelRatio!==1){cWidth=Number(this.game.canvas.style.width.replace("px",""));cHeight=Number(this.game.canvas.style.height.replace("px",""));this.distance=1e3/window.devicePixelRatio}this.aspectRatio=cWidth/cHeight;this.viewport.w=this.distance*Math.tan(this.fieldOfView);this.viewport.h=this.viewport.w/this.aspectRatio;this.viewport.left=this.lookAt[0]-this.viewport.w/2;this.viewport.top=this.lookAt[1]-this.viewport.h/2;this.viewport.right=this.viewport.left+this.viewport.w;this.viewport.bottom=this.viewport.top+this.viewport.h;this.viewport.scale[0]=cWidth/this.viewport.w;this.viewport.scale[1]=cHeight/this.viewport.h}else{new debug.Error("Cannot update camera. CanvasRenderingContext2D is undefined.")}}setZoom(z){this.distance=z;this.updateViewport()}setZoomSmooth(intervalMS,smoothValue,z){let operation="add";if(this.distance<z){operation="add"}else{operation="subtract"}const int=setInterval(()=>{if(operation==="add"){if(this.distance<z){this.distance+=smoothValue}else{clearInterval(int);if(this.game.config.debug){new debug.Log("Reached target camera Zoom with setZoomSmooth")}}}else{if(this.distance>z){this.distance-=smoothValue}else{clearInterval(int);if(this.game.config.debug){new debug.Log("Reached target camera Zoom with setZoomSmooth")}}}},intervalMS)}moveTo(x,y){this.lookAt[0]=x;this.lookAt[1]=y;this.updateViewport()}startFollow(gameObject,lerpX=1,lerpY=1){this.following=gameObject;this.lerpX=lerpX;this.lerpY=lerpY}stopFollow(){this.following=undefined}screenToWorld(x,y,obj){obj.position.x=x/this.viewport.scale[0]+this.viewport.left;obj.position.y=y/this.viewport.scale[1]+this.viewport.top;return obj}worldToScreen(x,y,obj){obj.position.x=(x-this.viewport.left)*this.viewport.scale[0];obj.position.y=(y-this.viewport.top)*this.viewport.scale[1];return obj}setFOV(f){this.fieldOfView=f}setFOVSmooth(intervalMS,smoothValue,f){let operation="add";if(this.fieldOfView<f){operation="add"}else{operation="subtract"}const int=setInterval(()=>{if(operation==="add"){if(this.fieldOfView<f){this.fieldOfView+=smoothValue}else{clearInterval(int);if(this.game.config.debug){new debug.Log("Reached target camera FOV with setFOVSmooth")}}}else{if(this.fieldOfView>f){this.fieldOfView-=smoothValue}else{clearInterval(int);if(this.game.config.debug){new debug.Log("Reached target camera FOV with setFOVSmooth")}}}},intervalMS)}resetFOV(){this.fieldOfView=Math.PI/4}resetZoom(){this.distance=1e3}setBounds(bounds){this.bounds=bounds}shake(intervalMS,timeMS,v){const int=setInterval(()=>{const r=randomInt(1,4);if(r===1){this.lookAt[0]+=v}if(r===2){this.lookAt[0]-=v}if(r===3){this.lookAt[1]+=v}if(r===2){this.lookAt[1]+=v}this.updateViewport()},intervalMS);setTimeout(()=>{clearInterval(int)},timeMS)}cull(renderableObjects,options){const preserveVisibility=options?options.preserveVisibility:true;const modifyPhysicsEnable=options?options.modifyPhysicsEnable:true;const visibleObjects=this.scene.displayList.visibilityFilter(true);const culledObjects=visibleObjects.filter(r=>renderableObjects.find(_r=>_r.id===r.id));const nonCulledObjects=visibleObjects.filter(r=>!culledObjects.includes(r));for(const culledObject of culledObjects){if(culledObject instanceof map_Map){continue}if(preserveVisibility){culledObject.culled=true}else{culledObject.visible=true}if(modifyPhysicsEnable){if(culledObject instanceof PhysicsBody){culledObject.enabled=true}}}for(const nonCulledObject of nonCulledObjects){if(nonCulledObject instanceof map_Map){continue}if(preserveVisibility){nonCulledObject.culled=false}else{nonCulledObject.visible=false}if(modifyPhysicsEnable){if(nonCulledObject instanceof PhysicsBody){nonCulledObject.enabled=false}}}this.game.renderer.pipeline.pool()}autoCull(options){const preserveVisibility=options?options.preserveVisibility:true;const modifyPhysicsEnable=options?options.modifyPhysicsEnable:true;const objects=this.scene.displayList.list;const culledObjects=objects.filter(r=>{if(r instanceof Rect||r instanceof RoundRect||r instanceof Sprite||r instanceof Button||r instanceof Text){if(rectToRectIntersect(r,{position:{x:this.viewport.left,y:this.viewport.top},w:this.viewport.w,h:this.viewport.h})){return true}else{return false}}if(r instanceof Circle||r instanceof StaticLight||r instanceof Particle){if(circleRectCollision(r,{position:{x:this.viewport.left,y:this.viewport.top},w:this.viewport.w,h:this.viewport.h})){return true}else{return false}}return false});const nonCulledObjects=objects.filter(r=>!culledObjects.includes(r));for(const culledObject of culledObjects){if(culledObject instanceof map_Map){continue}if(preserveVisibility){culledObject.culled=true}else{culledObject.visible=true}if(modifyPhysicsEnable){if(culledObject instanceof PhysicsBody){culledObject.enabled=true}}}for(const nonCulledObject of nonCulledObjects){if(nonCulledObject instanceof map_Map){continue}if(preserveVisibility){nonCulledObject.culled=false}else{nonCulledObject.visible=false}if(modifyPhysicsEnable){if(nonCulledObject instanceof PhysicsBody){nonCulledObject.enabled=false}}}this.game.renderer.pipeline.pool()}get defaultZoom(){if(this.game.config.dprScale){if(this.game.config.debug){new debug.Log("Getter defaultZoom returned default zoom with dpr scaling. (info)")}return 1e3/window.devicePixelRatio}else{return 1e3}}get defaultFOV(){return Math.PI/4}}const version="2.1.0";const startup=`
🦆 DuckEngine - ${version} 🦆

https://github.com/ksplatdev/DuckEngine

MIT License

Copyright (c) 2021 Bleart Emini
`;function dprScale(canvas,context,width,height){const devicePixelRatio=window.devicePixelRatio||1;const backingStoreRatio=context.webkitBackingStorePixelRatio||context.mozBackingStorePixelRatio||context.msBackingStorePixelRatio||context.oBackingStorePixelRatio||context.backingStorePixelRatio||1;const ratio=devicePixelRatio/backingStoreRatio;if(devicePixelRatio!==backingStoreRatio){canvas.width=width*ratio;canvas.height=height*ratio;canvas.style.width=width+"px";canvas.style.height=height+"px"}else{canvas.width=width;canvas.height=height;canvas.style.width="";canvas.style.height=""}context.scale(ratio,ratio)}class EventEmitter{constructor(){this.callbacks={}}on(event,cb){if(!this.callbacks[event])this.callbacks[event]=[];this.callbacks[event].push(cb)}off(event){if(this.callbacks[event]){this.callbacks[event]=[]}}emit(event,...args){const cbs=this.callbacks[event];if(cbs){cbs.forEach(cb=>{if(args){cb(...args)}else{cb()}})}}}function detectBrowser(){const isOpera=!!window.opr&&!!opr.addons||!!window.opera||navigator.userAgent.indexOf(" OPR/")>=0;const isFirefox=typeof InstallTrigger!=="undefined";const isSafari=/constructor/i.test(window.HTMLElement)||function(p){return p.toString()==="[object SafariRemoteNotification]"}(!window["safari"]||typeof safari!=="undefined"&&window["safari"].pushNotification);const isIE=false||!!document.documentMode;const isEdge=!isIE&&!!window.StyleMedia;const isChrome=!!window.chrome&&(!!window.chrome.webstore||!!window.chrome.runtime);const isEdgeChromium=isChrome&&navigator.userAgent.indexOf("Edg")!==-1;const isBlink=(isChrome||isOpera)&&!!window.CSS;const res={isOpera:isOpera?"Opera":false,isFirefox:isFirefox?"Firefox":false,isIE:isIE?"IE":false,isEdge:isEdge?"Edge":false,isEdgeChromium:isEdgeChromium?"EdgeChromium":false,isBlink:isBlink?"Blink":false,isSafari:isSafari?"Safari":false};return res.isOpera||res.isFirefox||res.isIE||res.isEdge||res.isEdgeChromium||res.isBlink||res.isSafari||"Unknown"}function averageArray(v){return v.reduce((a,b)=>a+b)/v.length}function smoothOut(vector,variance){const t_avg=averageArray(vector)*variance;const ret=Array(vector.length);for(let i=0;i<vector.length;i++){(function(){const prev=i>0?ret[i-1]:vector[i];const next=i<vector.length?vector[i]:vector[i-1];ret[i]=averageArray([t_avg,averageArray([prev,vector[i],next])])})()}return averageArray(ret)}class PluginManager{constructor(){this.plugins={}}registerPlugin(plugin){const foundPlugin=this.find(plugin.name);if(!foundPlugin){this.plugins[plugin.name]=plugin}else{new debug.Error(`Cannot register plugin with name "${plugin.name}". Plugin with that name already exists.`)}}unregisterPlugin(name){const plugin=this.find(name);if(plugin){delete this.plugins[name]}}call(name){const plugin=this.find(name);if(plugin){plugin.func(...plugin.args)}}find(name){return this.plugins[name]}}class CacheManager{constructor(){this.cache={};this.storageIdentifier="DuckEngine_CacheManager_";this.sync()}sync(){this.cache=Object.assign({},localStorage)}set(name,value){this.cache[name]=value;localStorage.setItem(`${this.storageIdentifier}${name}`,value)}get(name){return localStorage.getItem(`${this.storageIdentifier}${name}`)||this.cache[name]}delete(name){if(this.has(name)){delete this.cache[name];localStorage.removeItem(`${this.storageIdentifier}${name}`)}else{new debug.Error(`CacheManager: Cannot delete from values with name "${name}". "${name}" does not exist as an entry.`)}}has(name){const e=localStorage.getItem(`${this.storageIdentifier}${name}`)||this.cache[name];return e?true:false}keys(){return Object.keys(this.cache)}values(){return Object.values(this.cache)}each(cb){for(const key in this.cache){if(Object.prototype.hasOwnProperty.call(this.cache,key)){cb(key,this.cache[key])}}}get entries(){this.sync();return this.cache}}class TextureSheet extends TextureBase{constructor(texture,frameWidth,frameHeight,rows,cols){super("image","sheet",texture,frameWidth,frameHeight);this.frameWidth=frameWidth;this.frameHeight=frameHeight;this.rows=rows;this.cols=cols}}class BaseRenderer{constructor(game){this.game=game}}class RendererPipeline{constructor(game,poolingInterval=1e3/game.fps){this.game=game;this.poolInterval=setInterval(()=>{this.pool()},poolingInterval);this.poolStack=[];this.updateTimeInterval=setInterval(()=>{this.updateTime()},1e3)}pool(){this.poolStack=[];const visibleScenes=this.game.stack.scenes.filter(scene=>scene.visible===true);visibleScenes.forEach(scene=>{const depthSorted=scene.displayList.depthSort();const visibleObjects=depthSorted.filter(r=>r.visible&&r.culled);this.poolStack.push({scene:scene,renderables:visibleObjects})});this.game.eventEmitter.emit(events.RENDERER.PIPELINE_POOL,this.poolStack)}updateTime(){const newInterval=1e3/this.game.fps;clearInterval(this.poolInterval);this.poolInterval=setInterval(()=>{this.pool()},newInterval)}}class CanvasRenderer extends BaseRenderer{constructor(game,poolingInterval=1e3/game.fps){super(game);this.ctx=this.game.canvas.getContext("2d");this.pipeline=new RendererPipeline(this.game,poolingInterval)}render(deltaTime){this.pipeline.poolStack.forEach(pool=>{if(pool.scene.currentCamera){pool.scene.currentCamera.begin()}pool.scene.__tick();pool.scene.update(deltaTime);pool.renderables.forEach(r=>{r._draw()});if(pool.scene.currentCamera){pool.scene.currentCamera.end()}})}save(){this.ctx.save()}restore(){this.ctx.restore()}translate(x,y){this.ctx.translate(x,y)}transform(a,b,c,d,e,f){this.ctx.transform(a,b,c,d,e,f)}scale(x,y){this.ctx.scale(x,y)}setFont(font){this.ctx.font=font}measureText(font,text){this.setFont(font);return this.ctx.measureText(text)}setFillColor(color){this.ctx.fillStyle=color}setStrokeColor(color){this.ctx.strokeStyle=color}setLineWidth(width){this.ctx.lineWidth=width}drawText(text,x,y,maxWidth){this.ctx.fillText(text,x,y,maxWidth)}strokeText(text,x,y,maxWidth){this.ctx.strokeText(text,x,y,maxWidth)}clearFrame(){this.ctx.clearRect(0,0,this.game.canvas.width,this.game.canvas.height);this.game.eventEmitter.emit(events.RENDERER.CLEAR_FRAME)}clearRect(x,y,w,h){this.ctx.clearRect(x,y,w,h)}drawRect(x,y,w,h,color){this.setFillColor(color);this.ctx.fillRect(x,y,w,h)}drawCircle(x,y,r,color){this.setFillColor(color);this.ctx.beginPath();this.ctx.arc(x,y,r,0,2*Math.PI,false);this.ctx.fillStyle=color;this.ctx.fill()}drawRoundRect(x,y,w,h,r,color){if(w<2*r)r=w/2;if(h<2*r)r=h/2;this.setFillColor(color);this.ctx.beginPath();this.ctx.moveTo(x+r,y);this.ctx.arcTo(x+w,y,x+w,y+h,r);this.ctx.arcTo(x+w,y+h,x,y+h,r);this.ctx.arcTo(x,y+h,x,y,r);this.ctx.arcTo(x,y,x+w,y,r);this.ctx.closePath();this.ctx.fill()}drawSprite(x,y,w,h,texture,currentRow,currentCol){if(texture instanceof TextureSheet){this.ctx.drawImage(texture.texture,(currentCol-1)*texture.frameWidth,(currentRow-1)*texture.frameHeight,texture.frameWidth,texture.frameHeight,x,y,texture.frameWidth,texture.frameHeight)}else{this.ctx.drawImage(texture.texture,x,y,w,h)}}setBlendMode(blendMode){this.ctx.globalCompositeOperation=blendMode}}class DisplayManager{constructor(game){this.game=game;this.eventEmitter=new EventEmitter;window.onfocus=()=>{if(this.game.config.pauseRenderingOnBlur&&!this.game.config.debugRendering){this.game.isRendering=true;this.eventEmitter.emit(events.DISPLAY.FOCUS);if(this.game.config.onResumeRendering){this.game.config.onResumeRendering("windowFocus")}}};window.onblur=()=>{if(this.game.config.pauseRenderingOnBlur&&!this.game.config.debugRendering){this.game.isRendering=false;this.eventEmitter.emit(events.DISPLAY.BLUR);if(this.game.config.onPauseRendering){this.game.config.onPauseRendering("windowBlur")}}};if(this.game.config.focus){window.focus();if(this.game.config.onResumeRendering){this.game.config.onResumeRendering("gameConfigFocus")}}if(this.game.config.blur){window.blur();if(this.game.config.onPauseRendering){this.game.config.onPauseRendering("gameConfigBlur")}}}scale(scale){if(scale.x){this.game.canvas.width=scale.x}if(scale.y){this.game.canvas.height=scale.y}}dprScale(){dprScale(this.game.canvas,this.game.renderer.ctx,window.innerWidth,window.innerHeight)}smallCorrectionScale(){if(this.game.canvas.width>window.innerWidth){this.game.canvas.width=window.innerWidth}else{this.game.canvas.width=this.game.oldWidth}if(this.game.canvas.height>window.innerHeight){this.game.canvas.height=window.innerHeight}else{this.game.canvas.height=this.game.oldHeight}}scaleAspectRatio(maxScale){const width=this.game.canvas.width;const height=this.game.canvas.height;let ratio=0;if(width>maxScale.x&&width>height){ratio=width/height;this.game.canvas.width=maxScale.x;this.game.canvas.height=maxScale.x/ratio}else if(height>maxScale.y&&height>width){ratio=height/width;this.game.canvas.width=maxScale.y/ratio;this.game.canvas.height=maxScale.y}else{this.game.canvas.width=maxScale.x;this.game.canvas.height=maxScale.y}}scaleToWindow(){if(window.devicePixelRatio===1){this.game.canvas.width=window.innerWidth;this.game.canvas.height=window.innerHeight;return}if(this.game.config.dprScale&&window.devicePixelRatio!==1){this.dprScale();if(this.game.config.debug){new debug.Log(`Scaled with devicePixelRatio of ${window.devicePixelRatio} while fullscreen.`)}}this.eventEmitter.emit(events.DISPLAY.SET_SCALE,{w:window.innerWidth,h:window.innerHeight})}resetScale(){if(window.devicePixelRatio===1){this.game.canvas.width=this.game.oldWidth;this.game.canvas.height=this.game.oldHeight;this.game.canvas.style.width=this.game.oldWidth+"px";this.game.canvas.style.height=this.game.oldHeight+"px"}if(this.game.config.dprScale&&window.devicePixelRatio!==1){dprScale(this.game.canvas,this.game.renderer.ctx,this.game.canvas.width,this.game.canvas.height)}}fullscreen(){if(this.game.canvas&&document.fullscreenEnabled){this.game.canvas.requestFullscreen().then(()=>{this.game.isInFullscreen=true;if(this.game.canvas){this.scaleToWindow()}this.eventEmitter.emit(events.DISPLAY.FULLSCREEN)}).catch(()=>new debug.Error("User must interact with the page before fullscreen API can be used."));this.game.canvas.onfullscreenchange=()=>{if(!document.fullscreenElement){this.resetScale();this.game.isInFullscreen=false;if(this.game.config.debug){new debug.Log("Unfullscreen, reset canvas scale.")}}}}if(!document.fullscreenEnabled){new debug.Warn("Fullscreen is not supported/enabled on this browser.")}}unfullscreen(){if(document.fullscreenElement){document.exitFullscreen().then(()=>{if(this.game.canvas){this.resetScale()}this.eventEmitter.emit(events.DISPLAY.UNFULLSCREEN)}).catch(e=>new debug.Error(e))}}}var __awaiter=undefined&&undefined.__awaiter||function(thisArg,_arguments,P,generator){function adopt(value){return value instanceof P?value:new P(function(resolve){resolve(value)})}return new(P||(P=Promise))(function(resolve,reject){function fulfilled(value){try{step(generator.next(value))}catch(e){reject(e)}}function rejected(value){try{step(generator["throw"](value))}catch(e){reject(e)}}function step(result){result.done?resolve(result.value):adopt(result.value).then(fulfilled,rejected)}step((generator=generator.apply(thisArg,_arguments||[])).next())})};var __asyncValues=undefined&&undefined.__asyncValues||function(o){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var m=o[Symbol.asyncIterator],i;return m?m.call(o):(o=typeof __values==="function"?__values(o):o[Symbol.iterator](),i={},verb("next"),verb("throw"),verb("return"),i[Symbol.asyncIterator]=function(){return this},i);function verb(n){i[n]=o[n]&&function(v){return new Promise(function(resolve,reject){v=o[n](v),settle(resolve,reject,v.done,v.value)})}}function settle(resolve,reject,d,v){Promise.resolve(v).then(function(v){resolve({value:v,done:d})},reject)}};class Game{constructor(config){var _a,_b,_c,_d;console.log(startup);this.config=config;if(this.config.canvas===null){this.config.canvas=Duck.AutoCanvas()}if(!this.config.canvas){new debug.Error("You must pass in an HTMLCanvasElement or pass in the return value of Duck.AutoCanvas()!")}if(this.config.canvas instanceof HTMLCanvasElement){this.canvas=this.config.canvas}else{this.canvas=this.config.canvas.canvas}this.renderer=new CanvasRenderer(this,this.config.poolingInterval);this.deltaTimeArray=[];this.deltaTime=0;this.smoothDeltaTime=0;this.oldTime=0;this.now=0;this.fps=0;this.eventEmitter=new EventEmitter;this.pluginManager=new PluginManager;this.displayManager=new DisplayManager(this);if(this.config.scale){this.displayManager.scale(this.config.scale)}if(this.config.background){this.setBackground(this.config.background)}if(this.config.dprScale){dprScale(this.canvas,this.renderer.ctx,((_a=this.config.scale)===null||_a===void 0?void 0:_a.x)||this.canvas.width,((_b=this.config.scale)===null||_b===void 0?void 0:_b.y)||this.canvas.height);if(this.config.debug){new debug.Log(`Scaled with devicePixelRatio of ${window.devicePixelRatio}`)}}this.isInFullscreen=false;this.oldWidth=this.canvas.width;this.oldHeight=this.canvas.height;if(this.config.smartScale){window.onresize=()=>{this.displayManager.smallCorrectionScale()}}this.isRendering=false;this.isLoaded=false;this.splashScreen=((_c=this.config.splashScreen)===null||_c===void 0?void 0:_c.img)||"https://i.ibb.co/bdN4CCN/Logo-Splash.png";if(((_d=this.config.splashScreen)===null||_d===void 0?void 0:_d.img)==="default"){this.splashScreen="https://i.ibb.co/bdN4CCN/Logo-Splash.png"}this.stack={scenes:[],defaultScene:this.config.defaultScene};this.cacheManager=new CacheManager;this.browser=detectBrowser();this.animationFrame;this.eventEmitter.on(events.GAME.CONTEXT_LOST,()=>{if(this.config.debug){new debug.Error("Context lost! Trying to restore...")}if(!this.canvas){const res=Duck.AutoCanvas();this.canvas=res.canvas}if(!this.renderer.ctx){this.renderer.ctx=this.canvas.getContext("2d")}this.eventEmitter.emit(events.GAME.CONTEXT_RESTORED,this.renderer.ctx)});this.eventEmitter.on(events.GAME.CONTEXT_RESTORED,()=>{if(this.config.debug){new debug.Log("Restored context...")}});this.scenes={add:scenes=>{scenes.forEach(scene=>{this.stack.scenes.push(scene);this.eventEmitter.emit(events.GAME.SCENE_ADD,scene);this.renderer.pipeline.pool()})},remove:scene=>{const f=this.stack.scenes.find(_scene=>_scene.key===scene.key);if(f){this.stack.scenes.splice(this.stack.scenes.indexOf(scene),1);this.eventEmitter.emit(events.GAME.SCENE_REMOVE,scene);this.renderer.pipeline.pool()}}}}start(){var e_1,_a;return __awaiter(this,void 0,void 0,function*(){this.eventEmitter.emit(events.GAME.LOAD_BEGIN);this.eventEmitter.emit(events.GAME.SYNC_CACHE);this.cacheManager.sync();this.eventEmitter.emit(events.GAME.DRAW_SPLASH);yield this.drawSplashScreen();try{for(var _b=__asyncValues(this.stack.scenes),_c;_c=yield _b.next(),!_c.done;){const scene=_c.value;yield scene.preload();scene.create();this.eventEmitter.emit(events.GAME.LOAD_SCENE)}}catch(e_1_1){e_1={error:e_1_1}}finally{try{if(_c&&!_c.done&&(_a=_b.return))yield _a.call(_b)}finally{if(e_1)throw e_1.error}}this.isRendering=true;this.isLoaded=true;yield this.hideSplashScreen();this.eventEmitter.emit(events.GAME.LOAD_FINISH);if(this.config.debug){new debug.Log("Game loaded.")}if(this.config.onResumeRendering&&!this.config.debugRendering){this.config.onResumeRendering("gameStart")}this.renderer.pipeline.pool();this.loop();if(this.config.debug){new debug.Log("Started animation frame.")}})}stop(){if(this.animationFrame){cancelAnimationFrame(this.animationFrame);this.isRendering=false;this.isLoaded=false;if(this.config.onPauseRendering&&!this.config.debugRendering){this.config.onPauseRendering("gameStop")}if(this.config.debug){new debug.Log("Stopped animation frame.")}this.eventEmitter.emit(events.GAME.STOP)}else{if(this.config.debug){new debug.Error("Cannot stop animation frame. You must start the game loop first.")}}}loop(){this.renderer.clearFrame();this.now=performance.now();this.deltaTime=(this.now-this.oldTime)/1e3;this.fps=1/this.deltaTime;if(this.deltaTimeArray.length>100){this.deltaTimeArray.shift()}this.deltaTimeArray.push(this.deltaTime);this.smoothDeltaTime=Number(smoothOut(this.deltaTimeArray,1).toPrecision(1));if(this.isRendering&&this.deltaTimeArray.length>99){this.renderer.render(this.deltaTime)}this.oldTime=this.now;this.animationFrame=requestAnimationFrame(()=>{this.loop()})}drawSplashScreen(){var _a,_b;return __awaiter(this,void 0,void 0,function*(){this.canvas.style.backgroundImage=`url('${this.splashScreen}')`;yield this.sleep((((_a=this.config.splashScreen)===null||_a===void 0?void 0:_a.extraDuration)||0)+(((_b=this.config)===null||_b===void 0?void 0:_b.poolingInterval)||1e3))})}hideSplashScreen(){return __awaiter(this,void 0,void 0,function*(){this.canvas.style.backgroundImage="none"})}sleep(ms){return new Promise(resolve=>setTimeout(resolve,ms))}setScale(scale){if(this.canvas){if(scale.width){this.canvas.width=scale.width}if(scale.height){this.canvas.height=scale.height}this.eventEmitter.emit(events.GAME.SET_SCALE,scale)}else{new debug.Error("Cannot setScale to a canvas of undefined.")}}setBackground(background){if(this.canvas){this.canvas.style.background=background;this.eventEmitter.emit(events.GAME.SET_BACKGROUND,background)}else{new debug.Error("Cannot set background of undefined. Canvas is undefined.")}}switchScene(key,key2){const f=this.stack.scenes.find(_scene=>_scene.key===key);const f2=this.stack.scenes.find(_scene=>_scene.key===key2);if(f){if(f2){f.visible=false;f2.visible=true;f2.onChange();f.onSceneInactive();f2.onSceneActive();this.eventEmitter.emit(events.GAME.SWITCH_SCENE)}else{new debug.Error(`Cannot switch to scene with scene key "${key2}. Scene not found."`)}}else{new debug.Error(`Cannot switch from scene from scene key "${key}. Scene not found."`)}}showScene(key){const f=this.stack.scenes.find(_scene=>_scene.key===key);if(f){f.visible=true;f.onSceneActive();this.eventEmitter.emit(events.GAME.SHOW_SCENE)}else{new debug.Error(`Cannot switch to scene with key "${key}. Scene not found."`)}}lockPointer(){if(this.canvas){this.canvas.requestPointerLock();this.eventEmitter.emit(events.GAME.LOCK_POINTER)}}unlockPointer(){if(document.pointerLockElement){document.exitPointerLock();this.eventEmitter.emit(events.GAME.UNLOCK_POINTER)}}}var render_awaiter=undefined&&undefined.__awaiter||function(thisArg,_arguments,P,generator){function adopt(value){return value instanceof P?value:new P(function(resolve){resolve(value)})}return new(P||(P=Promise))(function(resolve,reject){function fulfilled(value){try{step(generator.next(value))}catch(e){reject(e)}}function rejected(value){try{step(generator["throw"](value))}catch(e){reject(e)}}function step(result){result.done?resolve(result.value):adopt(result.value).then(fulfilled,rejected)}step((generator=generator.apply(thisArg,_arguments||[])).next())})};class Render{preload(){return render_awaiter(this,void 0,void 0,function*(){})}create(){}update(deltaTime){}onChange(){}}function randomFloat(min,max,fixed){const num=Math.random()*(max-min)+min;const res=num.toFixed(fixed||2);return Number(res)}class ParticleEmitter{constructor(particle,rangeX,rangeY,amount,game,scene,autoCreate=true){this.id=particle.id;this.particle=particle;this.rangeX=rangeX;this.rangeY=rangeY;this.amount=amount;this.list=[];this.game=game;this.scene=scene;this.emitting=false;this.enabled=false;this.floatRangeX=[0,0];this.floatRangeY=[0,0];if(autoCreate){this.create()}}create(){for(let i=0;i<this.amount;i++){this.createOne()}}createOne(){const obj=new Particle(this.particle.shape,this.particle.w,this.particle.h,this.particle.r,this.particle.originalFillColorOrIMGPath,this.game,this.scene);obj.visible=true;obj.enabled=true;obj.position.x=randomInt(this.rangeX[0],this.rangeX[1]);obj.position.y=randomInt(this.rangeY[0],this.rangeY[1]);obj.floatVelocity.x=randomFloat(this.floatRangeX[0],this.floatRangeX[1],1);obj.floatVelocity.y=randomFloat(this.floatRangeY[0],this.floatRangeY[1],1);this.list.push(obj);this.scene.displayList.add(obj);this.scene.physicsList.add(obj)}emit(){this.emitting=true;this.enabled=true}stopEmit(){this.emitting=false;this.enabled=false}emitFor(ms){this.emitting=true;setTimeout(()=>{this.emitting=false},ms)}setRange(rangeX,rangeY){this.rangeX=rangeX;this.rangeY=rangeY;this.list.forEach(obj=>{obj.position.x=randomInt(this.rangeX[0],this.rangeX[1]);obj.position.y=randomInt(this.rangeY[0],this.rangeY[1]);obj.floatVelocity.x=randomFloat(this.floatRangeX[0],this.floatRangeX[1],1);obj.floatVelocity.y=randomFloat(this.floatRangeY[0],this.floatRangeY[1],1)})}keepEmitting(intervalMS,limitTo){setInterval(()=>{if(limitTo){if(this.list.length<limitTo){this.createOne()}}else{this.createOne()}},intervalMS)}offloadMaxAmount(limit){if(this.list.length>=limit){this.list.pop()}this.scene.displayList.list.filter(renderableObject=>renderableObject instanceof Particle).pop();this.scene.displayList.list.filter(obj=>obj instanceof Particle).pop()}offloadBounds(bounds){this.list.forEach((particle,index)=>{if(particle.position.x<bounds.x){this.list.splice(index,1)}if(particle.position.y<bounds.y){this.list.splice(index,1)}if(particle.position.x>bounds.w){this.list.splice(index,1)}if(particle.position.y>bounds.w){this.list.splice(index,1)}});this.scene.displayList.each((renderableObject,index)=>{if(renderableObject instanceof Particle){if(renderableObject.position.x<bounds.x){this.list.splice(index,1)}if(renderableObject.position.y<bounds.y){this.list.splice(index,1)}if(renderableObject.position.x>bounds.w){this.list.splice(index,1)}if(renderableObject.position.y>bounds.w){this.list.splice(index,1)}}});this.scene.physicsList.each((obj,index)=>{if(obj instanceof Particle){if(obj instanceof Particle){if(obj.position.x<bounds.x){this.list.splice(index,1)}if(obj.position.y<bounds.y){this.list.splice(index,1)}if(obj.position.x>bounds.w){this.list.splice(index,1)}if(obj.position.y>bounds.w){this.list.splice(index,1)}}}})}offloadMaxAge(ageInSeconds){this.list.forEach((particle,index)=>{if(particle.age>=ageInSeconds){this.list.splice(index,1)}});this.scene.displayList.each((renderableObject,index)=>{if(renderableObject instanceof Particle){if(renderableObject.age>=ageInSeconds){this.scene.displayList.splice(index,1)}}});this.scene.physicsList.each((obj,index)=>{if(obj instanceof Particle){if(obj.age>=ageInSeconds){this.scene.physicsList.splice(index,1)}}})}setVelocity(axis,v){this.list.forEach(particle=>{particle.setVelocity(axis,v)})}wobble(v){const r=randomInt(1,4);if(r===1){this.list.forEach(particle=>{particle.setVelocity("x",v)})}if(r===2){this.list.forEach(particle=>{particle.setVelocity("y",v)})}if(r===3){this.list.forEach(particle=>{particle.setVelocity("x",-v)})}if(r===4){this.list.forEach(particle=>{particle.setVelocity("y",-v)})}}float(rangeVX,rangeVY){this.floatRangeX=rangeVX;this.floatRangeY=rangeVY;this.list.forEach(particle=>{particle.floatVelocity.x=randomInt(rangeVX[0],rangeVX[1]);particle.floatVelocity.y=randomInt(rangeVY[0],rangeVY[1])})}setFillColor(fillColor){this.list.forEach(particle=>{particle.setFillColor(fillColor)})}setImagePath(imagePath){this.list.forEach(particle=>{particle.setImagePath(imagePath)})}}class SoundPlayer{constructor(path,options){this.path=path;this.element=document.createElement("audio");this.element.className="duckengine-audio-sound";this.element.style.display="none";this.element.controls=false;this.element.src=this.path;this.element.volume=(options===null||options===void 0?void 0:options.volume)||1;this.element.autoplay=(options===null||options===void 0?void 0:options.autoplay)||false;this.element.loop=(options===null||options===void 0?void 0:options.loop)||false;if((options===null||options===void 0?void 0:options.volume)===0){this.mute()}this.sprites=(options===null||options===void 0?void 0:options.sprites)||[];document.body.appendChild(this.element)}play(){this.element.play()}pause(){this.element.pause()}mute(){this.element.muted=true}unmute(){this.element.muted=false}stop(){this.pause()}loop(loop=true){this.element.loop=loop}seek(timeInSeconds){this.element.currentTime=timeInSeconds}restart(){this.seek(0)}setVolume(volume){this.element.volume=volume}get duration(){return this.element.duration}get isPlaying(){return!this.element.paused}get volume(){return this.element.volume}get isMuted(){return this.element.muted}playSprite(key){const foundSprite=this.sprites.find(_sprite=>_sprite.key===key);if(foundSprite){this.seek(foundSprite.startSeconds);if(!this.isPlaying){this.play()}const int=setInterval(()=>{if(foundSprite){if(this.element.currentTime>=foundSprite.endSeconds){clearInterval(int);this.pause();this.restart()}}},1e3)}else{new debug.Error(`Cannot find sound sprite with key: "${key}".`)}}setPath(path){this.path=path;this.element.src=this.path}}class Key{constructor(keyCode,descriptor,game,scene,keyboardInput,keyDown,keyUp,keyJustPressed,keyState){this.keyCode=keyCode;this.descriptor=descriptor.toUpperCase();this.game=game;this.scene=scene;this.isDown=false;this.isUp=false;this.isJustPressed=false;this.state=false;this.keyboardInput=keyboardInput;if(keyDown){this.keyboardInput.eventEmitter.on(`KEY_DOWN_${this.descriptor}`,keyDown)}if(keyUp){this.keyboardInput.eventEmitter.on(`KEY_UP_${this.descriptor}`,keyUp)}if(keyJustPressed){this.keyboardInput.eventEmitter.on(`KEY_JUST_PRESSED_${this.descriptor}`,keyJustPressed)}if(keyState){this.keyboardInput.eventEmitter.on(`KEY_STATE_${this.descriptor}`,keyState)}this.registerListeners()}registerListeners(){document.addEventListener("keydown",e=>{if(e.keyCode===this.keyCode){this.state=true;this.keyboardInput.eventEmitter.emit(`KEY_STATE_${this.descriptor}`,e,this.state);if(!e.repeat){this.isDown=false;this.isUp=false;this.isJustPressed=true;this.keyboardInput.eventEmitter.emit(`KEY_JUST_PRESSED_${this.descriptor}`,e);this.keyboardInput.eventEmitter.emit(`KEY_INPUT_${this.descriptor}`,this,e)}else{this.isDown=true;this.isUp=false;this.isJustPressed=false;this.keyboardInput.eventEmitter.emit(`KEY_DOWN_${this.descriptor}`,e);this.keyboardInput.eventEmitter.emit(`KEY_INPUT_${this.descriptor}`,this,e)}}});document.addEventListener("keyup",e=>{if(e.keyCode===this.keyCode){this.state=false;this.keyboardInput.eventEmitter.emit(`KEY_STATE_${this.descriptor}`,e,this.state);this.isDown=false;this.isUp=true;this.isJustPressed=false;this.keyboardInput.eventEmitter.emit(`KEY_UP_${this.descriptor}`,e);this.keyboardInput.eventEmitter.emit(`KEY_INPUT_${this.descriptor}`,this,e)}})}onInput(cb){this.keyboardInput.eventEmitter.on(`KEY_INPUT_${this.descriptor}`,cb)}}class KeyboardInput{constructor(game,scene){this.game=game;this.scene=scene;this.eventEmitter=new EventEmitter;this.keys={}}addKey(keyCode,descriptor,keyDown,keyUp,keyJustPressed,keyState){const myKey=new Key(keyCode,descriptor,this.game,this.scene,this,keyDown,keyUp,keyJustPressed,keyState);this.keys[descriptor]=myKey;return myKey}addKeys(keys){keys.forEach(keyBase=>{this.addKey(keyBase.keyCode,keyBase.descriptor,keyBase.keyDown,keyBase.keyUp,keyBase.keyJustPressed,keyBase.keyState)})}removeKey(descriptor){const key=this.keys[descriptor];if(key){delete this.keys[descriptor]}}onInput(cb){for(const key in this.keys){if(Object.prototype.hasOwnProperty.call(this.keys,key)){const myKey=this.keys[key];myKey.onInput(cb)}}}get inputs(){return this.keys}}class Mouse{constructor(button,descriptor,game,scene,mouseInput,mouseDown,mouseUp,mouseMove){this.button=button;this.descriptor=descriptor.toUpperCase();this.game=game;this.scene=scene;this.mouseInput=mouseInput;if(mouseDown){this.mouseInput.eventEmitter.on(`MOUSE_DOWN_${this.descriptor}`,mouseDown)}if(mouseUp){this.mouseInput.eventEmitter.on(`MOUSE_UP_${this.descriptor}`,mouseUp)}if(mouseMove){this.mouseInput.eventEmitter.on(`MOUSE_MOVE_${this.descriptor}`,mouseMove)}this.registerListeners()}registerListeners(){document.addEventListener("mousedown",e=>{if(e.button===this.button){this.mouseInput.eventEmitter.emit(`MOUSE_DOWN_${this.descriptor}`,e)}});document.addEventListener("mouseup",e=>{if(e.button===this.button){this.mouseInput.eventEmitter.emit(`MOUSE_UP_${this.descriptor}`,e)}});document.addEventListener("mousemove",e=>{if(e.button===this.button){this.mouseInput.eventEmitter.emit(`MOUSE_MOVE_${this.descriptor}`,e)}})}}class MouseInput{constructor(game,scene){this.game=game;this.scene=scene;this.eventEmitter=new EventEmitter;this.mice={}}addMouse(button,descriptor,mouseDown,mouseUp,mouseMove){const myMouse=new Mouse(button,descriptor,this.game,this.scene,this,mouseDown,mouseUp,mouseMove);this.mice[descriptor]=myMouse;return myMouse}addMice(mice){mice.forEach(mouseBase=>{this.addMouse(mouseBase.button,mouseBase.descriptor,mouseBase.mouseDown,mouseBase.mouseUp,mouseBase.mouseDown)})}get inputs(){return this.mice}}class input_Input{constructor(game,scene){this.game=game;this.scene=scene}createKeyboardInput(){return new KeyboardInput(this.game,this.scene)}createMouseInput(){return new MouseInput(this.game,this.scene)}}class Group{constructor(name,game,defaultItems){this.name=name;this.stack=defaultItems||[];this.game=game}add(item){this.stack.push(item);if(this.game.config.debug){new debug.Log("Added item to group.")}this.game.eventEmitter.emit(events.GROUP.ADD,item)}remove(item){if(this.find(item)){this.stack.splice(this.indexOf(item),1);if(this.game.config.debug){new debug.Log("Removed item from group.")}}else{new debug.Error("Cannot remove item from Group. Item does not exist in Group.")}this.game.eventEmitter.emit(events.GROUP.REMOVE,item)}find(item){const a=this.stack.find(_a=>_a===item);return a}indexOf(item){return this.stack.indexOf(item)}each(cb){return this.stack.forEach(cb.bind(this))}pop(){return this.stack.pop()}shift(){return this.stack.shift()}splice(index,deleteCount){return this.stack.splice(index,deleteCount)}filter(filter){switch(filter){case"cameras":return this.stack.filter(item=>item instanceof Camera);break;case"gameobject":return this.stack.filter(item=>item instanceof GameObject);break;case"ui":return this.stack.filter(item=>item instanceof UI);break;case"lights":return this.stack.filter(item=>item instanceof StaticLight);break;case"physics":return this.stack.filter(item=>item instanceof Collider||item instanceof Hitbox||item instanceof PhysicsBody);break;default:new debug.Error('Cannot filter Group. Filter must be "cameras", "gameobject", "ui", "lights", or "physics".');return this.stack;break}}on(type,cb){this.game.eventEmitter.on(`GROUP_${type}`,cb)}off(type){this.game.eventEmitter.off(`GROUP_${type}`)}at(index){return this.stack[index]}get group(){return this.stack}get length(){return this.stack.length}}var cutscene_awaiter=undefined&&undefined.__awaiter||function(thisArg,_arguments,P,generator){function adopt(value){return value instanceof P?value:new P(function(resolve){resolve(value)})}return new(P||(P=Promise))(function(resolve,reject){function fulfilled(value){try{step(generator.next(value))}catch(e){reject(e)}}function rejected(value){try{step(generator["throw"](value))}catch(e){reject(e)}}function step(result){result.done?resolve(result.value):adopt(result.value).then(fulfilled,rejected)}step((generator=generator.apply(thisArg,_arguments||[])).next())})};class Cutscene{constructor(config,instructions,game){this.config=config;this.instructions=instructions;this.game=game;this.steps=this.instructions.steps;this.mainObject=this.config.mainObject;this.otherObjects=this.config.otherObjects||[];this.camera=this.config.mainCamera;this.otherCameras=this.config.otherCameras||[];this.index=0;this.running=false;this.init()}init(){this.mainObject.position.x=this.instructions.init.mainObjectPos.x;this.mainObject.position.y=this.instructions.init.mainObjectPos.y;this.otherObjects.forEach((otherObject,index)=>{otherObject.position.x=this.instructions.init.otherObjectPos[index].x;otherObject.position.y=this.instructions.init.otherObjectPos[index].y})}start(){this.running=true;this.game.eventEmitter.emit(events.CUTSCENE.START)}stop(){this.running=false;this.game.eventEmitter.emit(events.CUTSCENE.END)}update(){var _a;if(this.running){if(this.instructions.init.cameraSettings){this.camera.setFOV(this.instructions.init.cameraSettings.FOV);this.camera.setZoom(this.instructions.init.cameraSettings.zoom);if(this.instructions.init.cameraSettings.pos){this.camera.moveTo(this.instructions.init.cameraSettings.pos.x,this.instructions.init.cameraSettings.pos.y)}}if(this.instructions.init.otherCameraSettings){this.otherCameras.forEach((camera,index)=>{if(this.instructions.init.otherCameraSettings){camera.setFOV(this.instructions.init.otherCameraSettings[index].FOV);camera.setZoom(this.instructions.init.otherCameraSettings[index].zoom);if(this.instructions.init.otherCameraSettings[index].pos){camera.moveTo(this.instructions.init.otherCameraSettings[index].pos.x,this.instructions.init.otherCameraSettings[index].pos.y)}}})}if((_a=this.instructions.init.cameraSettings)===null||_a===void 0?void 0:_a.follow){this.camera.startFollow(this.instructions.init.cameraSettings.follow,this.instructions.init.cameraSettings.followLerpX,this.instructions.init.cameraSettings.followLerpY)}const step=this.steps[this.index];if(step.type==="DRAW"&&step.affect){return step.affect._draw()}if(step.type==="MOVE"&&step.moveTo){if(step.moveTo.x){step.affect.position.x=step.moveTo.x}if(step.moveTo.y){step.affect.position.y=step.moveTo.y}}if(step.type==="FUNC"&&step.func){step.func()}if(step.type==="CAMERA_FOV"&&step.cameraValue){step.affect.setFOV(step.cameraValue)}if(step.type==="CAMERA_ZOOM"&&step.cameraValue){step.affect.setZoom(step.cameraValue)}if(step.moveTo&&step.affect){if(step.type==="CAMERA_MOVE"&&step.moveTo.x&&step.moveTo.y){step.affect.moveTo(step.moveTo.x,step.moveTo.y)}}if(step.type==="CAMERA_SHAKE"&&step.cameraIntervalMS&&step.cameraTimeMS&&step.cameraValue&&step.affect){step.affect.shake(step.cameraIntervalMS,step.cameraTimeMS,step.cameraValue)}if(step.type==="CAMERA_START_FOLLOW"&&step.cameraFollow&&step.affect){if(!step.cameraFollowLerpX&&!step.cameraFollowLerpY){step.affect.startFollow(step.cameraFollow)}if(step.cameraFollowLerpX&&!step.cameraFollowLerpY){step.affect.startFollow(step.cameraFollow,step.cameraFollowLerpX)}if(!step.cameraFollowLerpX&&step.cameraFollowLerpY){step.affect.startFollow(step.cameraFollow,1,step.cameraFollowLerpY)}if(step.cameraFollowLerpX&&step.cameraFollowLerpY){step.affect.startFollow(step.cameraFollow,step.cameraFollowLerpX,step.cameraFollowLerpY)}}if(step.type==="CAMERA_STOP_FOLLOW"&&step.affect){step.affect.stopFollow()}}}next(){this.index++;if(this.index>this.steps.length-1){this.stop()}this.game.eventEmitter.emit(events.CUTSCENE.NEXT)}sleep(ms){return cutscene_awaiter(this,void 0,void 0,function*(){return new Promise(resolve=>setTimeout(resolve,ms))})}on(type,cb){this.game.eventEmitter.on(`CUTSCENE_${type}`,cb)}off(type){this.game.eventEmitter.off(`CUTSCENE_${type}`)}}function getImageData(image,w,h,onComplete,onFail){const canvas=document.createElement("canvas");const ctx=canvas.getContext("2d");let data="__EMPTY__";canvas.width=w;canvas.height=h;image.onload=()=>{if(ctx){ctx.drawImage(image,0,0);data=canvas.toDataURL();onComplete(data)}else{data="__FAILED__";onFail()}}}function clipImage(image,clipX,clipY,clipW,clipH,onComplete,onFail){const canvas=document.createElement("canvas");const ctx=canvas.getContext("2d");let data="__EMPTY__";canvas.width=clipW;canvas.height=clipH;image.onload=()=>{if(ctx){ctx.drawImage(image,clipX,clipY,clipW,clipH,0,0,clipW,clipH);data=canvas.toDataURL();const img=new Image;img.setAttribute("src",data);onComplete(img)}else{data="__FAILED__";onFail()}}}class TextureAtlas extends TextureBase{constructor(textureKey,jsonKey,w,h,game,scene){super("image","atlas",scene.loader.textureStack.find(image=>image.key===textureKey).value.texture,w,h);this.game=game;this.scene=scene;this.json=scene.loader.jsonStack.find(json=>json.key===jsonKey).value;this.validateJSON()}validateJSON(){if(this.json){if("name"in this.json&&"data"in this.json){if(typeof this.json.name!=="string"){new debug.Error('Invalid TextureAtlas JSON. "name" must be a string');return}if(!Array.isArray(this.json.data)){new debug.Error('Invalid TextureAtlas JSON. "data" must be an array');return}}else{new debug.Error('Invalid TextureAtlas JSON. "name" or "data" may be missing');return}this.parseJSON()}else{new debug.Error("Cannot find JSON using the passed key. Make sure you preloaded the json before using the key");return}}parseJSON(){this.json.data.forEach(frameData=>{clipImage(this.texture,frameData.x,frameData.y,frameData.w,frameData.h,image=>{const texture=new Texture("image",image,frameData.w,frameData.h);this.scene.loader.textureStack.push({type:"texture",value:texture,key:frameData.key,dataType:"base"})},()=>{new debug.Error("Failed to clip and create image frame from texture atlas whilst parsing json. Unknown error occurred, report this bug")})})}get(key){var _a;return(_a=this.scene.loader.textureStack.find(texture=>texture.key===key))===null||_a===void 0?void 0:_a.value}}var loader_awaiter=undefined&&undefined.__awaiter||function(thisArg,_arguments,P,generator){function adopt(value){return value instanceof P?value:new P(function(resolve){resolve(value)})}return new(P||(P=Promise))(function(resolve,reject){function fulfilled(value){try{step(generator.next(value))}catch(e){reject(e)}}function rejected(value){try{step(generator["throw"](value))}catch(e){reject(e)}}function step(result){result.done?resolve(result.value):adopt(result.value).then(fulfilled,rejected)}step((generator=generator.apply(thisArg,_arguments||[])).next())})};class Loader{constructor(game,scene){this.game=game;this.scene=scene;this.textureStack=[];this.jsonStack=[];this.htmlStack=[];this.xmlStack=[];this.fontStack=[];this.audioStack=[]}tryCache(prefix,key){return loader_awaiter(this,void 0,void 0,function*(){return this.game.cacheManager.get(`${prefix}_${key}`)})}saveCache(prefix,key,value){return loader_awaiter(this,void 0,void 0,function*(){return this.game.cacheManager.set(`${prefix}_${key}`,value)})}loadTexture(pathOrURL,key,w,h){return loader_awaiter(this,void 0,void 0,function*(){const image=new Image;image.width=w;image.height=h;const cacheData=yield this.tryCache("texture",key);if(cacheData){image.setAttribute("src",cacheData);if(this.game.config.debug){new debug.Log("Loaded texture from cache.")}const texture=new Texture("image",image,w,h);this.textureStack.push({type:"texture",value:texture,key:key,dataType:"base"});return image}else{const res=yield fetch(pathOrURL);const blob=yield res.blob();const url=URL.createObjectURL(blob.slice(0,4e3));image.src=url;const texture=new Texture("image",image,w,h);this.textureStack.push({type:"texture",value:texture,key:key,dataType:"base"});getImageData(image,w,h,data=>{this.saveCache("texture",key,data)},()=>{new debug.Error("Failed to save texture in cache, report this bug.")});return image}})}loadTextureSheet(pathOrURL,key,frameWidth,frameHeight,rows,cols){return loader_awaiter(this,void 0,void 0,function*(){const image=new Image;image.width=frameWidth*cols;image.height=frameHeight*rows;const cacheData=yield this.tryCache("texture_sheet",key);if(cacheData){image.setAttribute("src",cacheData);if(this.game.config.debug){new debug.Log("Loaded texture sheet from cache.")}const texture=new TextureSheet(image,frameWidth,frameHeight,rows,cols);this.textureStack.push({type:"texture",value:texture,key:key,dataType:"sheet"});return image}else{const res=yield fetch(pathOrURL);const blob=yield res.blob();const url=URL.createObjectURL(blob.slice(0,4e3));image.src=url;const texture=new TextureSheet(image,frameWidth,frameHeight,rows,cols);this.textureStack.push({type:"texture",value:texture,key:key,dataType:"sheet"});getImageData(image,frameWidth*cols,frameHeight*rows,data=>{this.saveCache("texture_sheet",key,data)},()=>{new debug.Error("Failed to save texture sheet in cache, report this bug.")});return image}})}loadTextureAtlas(atlasKey,texturePathOrURL,jsonPathOrURL,textureKey,jsonKey,imageW,imageH){return loader_awaiter(this,void 0,void 0,function*(){yield this.loadTexture(texturePathOrURL,textureKey,imageW,imageH);yield this.loadJSON(jsonPathOrURL,jsonKey);const textureAtlas=new TextureAtlas(textureKey,jsonKey,imageW,imageH,this.game,this.scene);this.textureStack.push({type:"texture",value:textureAtlas,key:atlasKey,dataType:"atlas"})})}loadJSON(pathOrURL,key){return loader_awaiter(this,void 0,void 0,function*(){const cacheData=yield this.tryCache("json",key);if(cacheData){const json=JSON.parse(cacheData);if(this.game.config.debug){new debug.Log("Loaded JSON from cache")}this.jsonStack.push({type:"json",value:json,key:key});return json}else{const res=yield fetch(pathOrURL);const json=yield res.json();this.jsonStack.push({type:"json",value:json,key:key});this.saveCache("json",key,JSON.stringify(json));return json}})}loadHTML(pathOrURL,key){return loader_awaiter(this,void 0,void 0,function*(){const cacheData=yield this.tryCache("html",key);if(cacheData){const text=cacheData;if(this.game.config.debug){new debug.Log("Loaded HTML from cache")}const html=(new window.DOMParser).parseFromString(text,"text/html");this.htmlStack.push({type:"html",value:html,key:key});return html}else{const res=yield fetch(pathOrURL);const text=yield res.text();const html=(new window.DOMParser).parseFromString(text,"text/html");this.htmlStack.push({type:"html",value:html,key:key});this.saveCache("html",key,text);return html}})}loadXML(pathOrURL,key){return loader_awaiter(this,void 0,void 0,function*(){const cacheData=yield this.tryCache("xml",key);if(cacheData){const text=cacheData;if(this.game.config.debug){new debug.Log("Loaded XML from cache")}const xml=(new window.DOMParser).parseFromString(text,"text/xml");this.xmlStack.push({type:"xml",value:xml,key:key});return xml}else{const res=yield fetch(pathOrURL);const text=yield res.text();const xml=(new window.DOMParser).parseFromString(text,"text/xml");this.xmlStack.push({type:"xml",value:xml,key:key});this.saveCache("xml",key,text);return xml}})}loadFont(fontFamily,pathOrURL,key,descriptors){return loader_awaiter(this,void 0,void 0,function*(){const font=new FontFace(fontFamily,`url(${pathOrURL})`,descriptors);const res=yield font.load();document.fonts.add(font);this.fontStack.push({type:"font",value:res,key:key});return res})}loadAudio(pathOrURL,key,mimeType="audio/mp3"){var _a;return loader_awaiter(this,void 0,void 0,function*(){const res=yield fetch(pathOrURL);const reader=(_a=res.body)===null||_a===void 0?void 0:_a.getReader();const result=yield reader===null||reader===void 0?void 0:reader.read();const blob=new Blob([result===null||result===void 0?void 0:result.value],{type:mimeType});const url=window.URL.createObjectURL(blob);const audio=new Audio;audio.src=url;this.audioStack.push({type:"audio",value:audio,key:key});return audio})}}function rgbToHsl(r,g,b){r/=255,g/=255,b/=255;const max=Math.max(r,g,b),min=Math.min(r,g,b);let h,s,l=(max+min)/2;if(max===min){h=s=0}else{const d=max-min;s=l>.5?d/(2-max-min):d/(max+min);switch(max){case r:h=(g-b)/d+(g<b?6:0);break;case g:h=(b-r)/d+2;break;case b:h=(r-g)/d+4;break}h/=6}return`hsl(${h},${s},${l})`}function rgbaToHSLA(r,g,b,a){r=parseInt(r);g=parseInt(g);b=parseInt(b);r/=255,g/=255,b/=255;const max=Math.max(r,g,b),min=Math.min(r,g,b);let h,s,l=(max+min)/2;if(max===min){h=s=0}else{const d=max-min;s=l>.5?d/(2-max-min):d/(max+min);switch(max){case r:h=(g-b)/d+(g<b?6:0);break;case g:h=(b-r)/d+2;break;case b:h=(r-g)/d+4;break}h/=6}return`hsla(${h},${s},${l},${a})`}function rgbaToRGB(rgba){let res=rgba.replace("rgba","rgb").replace(/[+-]?([.])[0-9]+/,"").split(",");res.pop();res.join(",");res+=")";return res}function hexToRGB(hex){var shorthandRegex=/^#?([a-f\d])([a-f\d])([a-f\d])$/i;hex=hex.replace(shorthandRegex,function(m,r,g,b){return r+r+g+g+b+b});var result=/^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);return result?`rgb(${parseInt(result[1],16)},${parseInt(result[2],16)},${parseInt(result[3],16)})`:null}function hexToHSL(hex){let r=0,g=0,b=0;if(hex.length===4){r="0x"+hex[1]+hex[1];g="0x"+hex[2]+hex[2];b="0x"+hex[3]+hex[3]}else if(hex.length===7){r="0x"+hex[1]+hex[2];g="0x"+hex[3]+hex[4];b="0x"+hex[5]+hex[6]}r/=255;g/=255;b/=255;let cmin=Math.min(r,g,b),cmax=Math.max(r,g,b),delta=cmax-cmin,h=0,s=0,l=0;if(delta===0)h=0;else if(cmax===r)h=(g-b)/delta%6;else if(cmax===g)h=(b-r)/delta+2;else h=(r-g)/delta+4;h=Math.round(h*60);if(h<0)h+=360;l=(cmax+cmin)/2;s=delta===0?0:delta/(1-Math.abs(2*l-1));s=+(s*100).toFixed(1);l=+(l*100).toFixed(1);return"hsl("+h+","+s+"%,"+l+"%)"}function randomColor(){let a="#";return a+=Math.floor(Math.random()*16777215).toString(16)}function randomColorWithAlpha(alpha){return convertColorToRGBA(randomColor(),alpha||randomFloat(.1,.9))}class TileMap extends map_Map{constructor(origin,tileLayers,game,scene){super(origin,tileLayers,game,scene)}_draw(){this.sortTileLayers().forEach(layer=>{for(let row=0;row<layer.map.length;row++){for(let col=0;col<layer.map[row].length;col++){const tile=layer.tileset.getTile(layer.map[row][col]);if(tile){if(this.game.renderer.ctx&&layer.tileset.texture.texture){this.game.renderer.ctx.drawImage(layer.tileset.texture.texture,tile.position.x,tile.position.y,layer.tileset.tileW,layer.tileset.tileH,layer.tileset.tileW*col+this.origin.x,layer.tileset.tileH*row+this.origin.y,layer.tileset.tileW,layer.tileset.tileH)}}}}})}sortTileLayers(filter=true){const visibleLayers=this.tileLayers.filter(layer=>layer.visible===filter);const depthSortedLayers=[...visibleLayers].sort((layer,layer2)=>layer.zIndex-layer2.zIndex);return depthSortedLayers}}class Once{constructor(func,run){this.func=func;this.ran=false;if(run){this.run()}}run(){if(!this.ran){this.func();this.ran=true}}reset(){this.ran=false}set state(ran){this.ran=ran}}class Amount{constructor(func,maxAmount,game,run){this.func=func;this.reachedMaxAmount=false;this.game=game;this.currentCount=0;this.maxAmount=maxAmount;if(run){this.run()}}run(){if(this.currentCount<this.maxAmount){this.currentCount+=1;this.func(this.currentCount)}else{this.reachedMaxAmount=true}}reset(){this.currentCount=0;this.reachedMaxAmount=false}set state(currentCount){this.currentCount=currentCount}}class Effect{constructor(rangeX,rangeY,particleEmitter,game){this.id=uniqueID();this.shape="effect";this.rangeX=rangeX;this.rangeY=rangeY;this.particleEmitter=particleEmitter;this.game=game;this.visible=true;this.zIndex=2;this.culled=true;this.particleEmitter.rangeX=rangeX;this.particleEmitter.rangeY=rangeY;this.following;this.randomMaxOffset=5}emit(){this.particleEmitter.emit()}stopEmit(){this.particleEmitter.stopEmit()}emitFor(ms){this.particleEmitter.emitFor(ms)}_draw(){if(this.following){const rangeX=[this.following.position.x,this.following.position.x+this.randomMaxOffset];const rangeY=[this.following.position.y,this.following.position.y+this.randomMaxOffset];this.particleEmitter.setRange(rangeX,rangeY)}}follow(object,randomMaxOffset=5){this.following=object;this.randomMaxOffset=randomMaxOffset}stopFollow(){this.following=undefined}}class ExplosionEffect extends Effect{constructor(rangeX,rangeY,game,particleAmount=50,speedRange=[450,450],maxAge=3,color="#FFA500",scene){const particle=new Particle("circle",0,0,5,color,game,scene);particle.visible=false;const particleEmitter=new ParticleEmitter(particle,rangeX,rangeY,particleAmount,game,scene,false);super(rangeX,rangeY,particleEmitter,game);this.maxAge=maxAge;this.speedRange=speedRange}emit(){const min=randomFloat(-this.speedRange[0],-this.speedRange[1]);const max=randomFloat(this.speedRange[0],this.speedRange[1]);this.particleEmitter.create();this.particleEmitter.float([min,max],[min,max]);this.particleEmitter.emit()}stopEmit(){this.particleEmitter.stopEmit()}emitFor(ms){this.particleEmitter.emitFor(ms)}_draw(){this.particleEmitter.offloadMaxAge(this.maxAge)}}class SmokeEffect extends Effect{constructor(rangeX,rangeY,game,particleAmount=50,speedRangeX=[-10,-40],speedRangeY=[-10,-40],maxAge=20,color="#2e2e2e",interval=50,scene){const particle=new Particle("circle",0,0,5,color,game,scene);particle.visible=false;const particleEmitter=new ParticleEmitter(particle,rangeX,rangeY,particleAmount,game,scene,false);super(rangeX,rangeY,particleEmitter,game);this.maxAge=maxAge;this.speedRangeX=speedRangeX;this.speedRangeY=speedRangeY;this.interval=interval}emit(){this.particleEmitter.create();this.particleEmitter.float([this.speedRangeX[0],this.speedRangeX[0]],[this.speedRangeY[1],this.speedRangeY[1]]);this.particleEmitter.keepEmitting(this.interval);this.particleEmitter.emit()}stopEmit(){this.particleEmitter.stopEmit()}emitFor(ms){this.particleEmitter.emitFor(ms)}_draw(){this.particleEmitter.offloadMaxAge(this.maxAge)}}class DisplayList{constructor(game){this.list=[];this.game=game}add(renderableObject){this.list.push(renderableObject);this.game.renderer.pipeline.pool()}remove(renderableObject){const f=this.list.find(r=>r.id===renderableObject.id);if(f){this.list.splice(this.list.findIndex(r=>r.id===renderableObject.id),1)}else{new debug.Error(`INTERNAL -> Cannot remove renderableObject from displayList with id "${renderableObject.id}". If you suspect this as a bug, please report it on github.`)}}depthSort(){const sorted=[...this.list].sort((obj,obj2)=>obj.zIndex-obj2.zIndex);return sorted}visibilityFilter(filter=true){const filtered=this.list.filter(r=>r.visible===filter);return filtered}each(cb){this.list.forEach(cb.bind(this))}splice(index,amount){return this.list.splice(index,amount)}get length(){return this.list.length}set listItems(listItems){this.list=listItems}}class CanvasModulate extends GameObject{constructor(x,y,w,h,fillColor,game,scene){super("rect",x,y,w,h,0,Texture.fromColor(fillColor,w,h),game,scene);this.zIndex=Duck.Layers.Rendering.zIndex.canvasModulate}_draw(){if(this.game.renderer.ctx){this.game.renderer.drawRect(this.position.x,this.position.y,this.w,this.h,this.texture.texture)}else{new debug.Error("CanvasRenderingContext2D is undefined. HTMLCanvasElement is undefined.")}}}class PhysicsServer{constructor(game,scene){this.game=game;this.scene=scene}__tick(){this.scene.physicsList.enabledFilter(true).forEach(r=>{r._update();if(r.collider&&r.collidesWith&&r.hitbox){r.hitbox._update(r);r.collider._update(r.hitbox,r.collidesWith)}})}}class PhysicsList{constructor(){this.list=[]}add(physicsObject){this.list.push(physicsObject)}remove(physicsObject){const f=this.list.find(r=>r.id===physicsObject.id);if(f){this.list.splice(this.list.findIndex(r=>r.id===physicsObject.id),1)}else{new debug.Error(`INTERNAL -> Cannot remove physicsObject from physicsList with id "${physicsObject.id}". If you suspect this as a bug, please report it on github.`)}}each(cb){this.list.forEach(cb.bind(this))}enabledFilter(filter=true){const filtered=this.list.filter(r=>r.enabled===filter);return filtered}splice(index,amount){return this.list.splice(index,amount)}get length(){return this.list.length}set listItems(listItems){this.list=listItems}}class Area extends PhysicsBody{constructor(x,y,w,h,collisionFilter,game,scene){const id=uniqueID();super("rect",id,x,y,w,h,0,game,scene);this.collisionFilter=collisionFilter;this.bodies=[];this.physics.addHitbox(w,h)}_update(){this.collisionFilter.forEach(object=>{if(object.hitbox&&this.hitbox){if(this.hitbox.intersectsWith(object.hitbox)){this.addBody(object)}if(!this.hitbox.intersectsWith(object.hitbox)){this.removeBody(object)}}})}addBody(physicsBody){const exists=this.bodyIsInArea(physicsBody);if(!exists){this.bodies.push(physicsBody);if(this.onBodyEnter){this.onBodyEnter(physicsBody)}}}removeBody(physicsBody){const exists=this.bodyIsInArea(physicsBody);if(exists){this.bodies.splice(this.bodies.findIndex(object=>object.id===physicsBody.id),1);if(this.onBodyLeave){this.onBodyLeave(physicsBody)}}}bodyIsInArea(physicsBody){const f=this.bodies.find(object=>object.id===physicsBody.id);return f?true:false}}class Tile{constructor(x,y,w,h){this.id=uniqueID();this.position=new Vector2(x,y);this.w=w;this.h=h}}class Tileset{constructor(textureKey,tileW,tileH,rows,cols,game,scene){this.texture=scene.loader.textureStack.find(v=>v.key===textureKey).value;this.tileW=tileW;this.tileH=tileH;this.rows=rows;this.cols=cols;this.game=game;this.scene=scene;this.tiles=[];this.generateTiles()}generateTiles(){for(let rowIndex=0;rowIndex<this.rows;rowIndex++){for(let colIndex=0;colIndex<this.cols;colIndex++){const tileX=colIndex*this.tileW;const tileY=rowIndex*this.tileH;this.tiles.push(this.createTile(tileX,tileY,this.tileW,this.tileH))}}}createTile(x,y,w,h){return new Tile(x,y,w,h)}getTile(num){return this.tiles[num]}}class TileLayer{constructor(tileset,map,game,scene,zIndex=2,visible=true){this.tileset=tileset;this.map=map;this.game=game;this.scene=scene;this.zIndex=zIndex;this.visible=visible}}class Scene extends Render{constructor(key,game,visible){var _a;super();this.key=key;this.game=game;this.visible=visible||false;this.default=false;if(this.game.stack.defaultScene===this.key){this.default=true;this.visible=true}this.currentCamera;this.mainCamera;this.cameras=[];this.displayList=new DisplayList(this.game);this.physicsList=new PhysicsList;this.loader=new Loader(this.game,this);if((_a=this.game.config.physics)===null||_a===void 0?void 0:_a.enabled){this.physicsServer=new PhysicsServer(this.game,this)}this.onSceneActive=()=>{};this.onSceneInactive=()=>{};this.add={gameobject:{misc:{canvasModulate:(x,y,w,h,fillColor)=>{const myCanvasModulate=new CanvasModulate(x,y,w,h,fillColor,this.game,this);this.displayList.add(myCanvasModulate);this.physicsList.add(myCanvasModulate);return myCanvasModulate}},existing:gameobject=>{this.displayList.add(gameobject);this.physicsList.add(gameobject);return gameobject},sprite:(x,y,w,h,textureKey,currentRow,currentCol)=>{const sprite=new Sprite(x,y,w,h,textureKey,this.game,this,currentRow,currentCol);this.displayList.add(sprite);this.physicsList.add(sprite);return sprite},rect:(x,y,w,h,fillColor)=>{const rect=new Rect(x,y,w,h,fillColor,this.game,this);this.displayList.add(rect);this.physicsList.add(rect);return rect},circle:(x,y,r,fillColor)=>{const circle=new Circle(x,y,r,fillColor,this.game,this);this.displayList.add(circle);this.physicsList.add(circle);return circle},roundRect:(x,y,w,h,r,fillColor)=>{const roundRect=new RoundRect(x,y,w,h,r,fillColor,this.game,this);this.displayList.add(roundRect);this.physicsList.add(roundRect);return roundRect}},misc:{area:(x,y,w,h,collisionFilter)=>{const myArea=new Area(x,y,w,h,collisionFilter,this.game,this);this.physicsList.add(myArea);return myArea}},ui:{text:(text,config)=>{const myText=new Text(text,config,this.game,this);this.displayList.add(myText);this.physicsList.add(myText);return myText},button:(shape,x,y,w,h,r,fillColor,text)=>{const myButton=new Button(shape,x,y,w,h,r,fillColor,text,this.game,this);this.displayList.add(myButton);this.physicsList.add(myButton);return myButton}},soundPlayer:(path,options)=>{return new SoundPlayer(path,options)},input:()=>{return new input_Input(this.game,this)},camera:()=>{const c=new Camera(this.game,this);this.cameras.push(c);return c},mainCamera:()=>{const c=new Camera(this.game,this);this.cameras.push(c);this.mainCamera=c;this.currentCamera=c;return c},light:{staticLight:(x,y,r,fillColor,alpha)=>{const myStaticLight=new StaticLight(x,y,r,fillColor,alpha,this.game,this);this.displayList.add(myStaticLight);this.physicsList.add(myStaticLight);return myStaticLight}},group:(name,defaultValues)=>{return new Group(name,this.game,defaultValues)},particle:(shape,w,h,r,fillColor)=>{const myParticle=new Particle(shape,w,h,r,fillColor,this.game,this);return myParticle},particleEmitter:(particle,rangeX,rangeY,amount,autoCreate=true)=>{return new ParticleEmitter(particle,rangeX,rangeY,amount,this.game,this,autoCreate)},cutscene:(config,instructions)=>{return new Cutscene(config,instructions,this.game)},map:{tilemap:(origin,tilelayers)=>{const myTileMap=new TileMap(origin,tilelayers,this.game,this);this.displayList.add(myTileMap);return myTileMap},tileset:(textureKey,tileW,tileH,rows,cols)=>{return new Tileset(textureKey,tileW,tileH,rows,cols,this.game,this)},tileLayer:(tileset,map,zIndex=2,visible=true)=>{return new TileLayer(tileset,map,this.game,this,zIndex,visible)}},effect:(rangeX,rangeY,particleEmitter)=>{const myEffect=new Effect(rangeX,rangeY,particleEmitter,this.game);this.displayList.add(myEffect);return myEffect},presetEffect:{explosionEffect:(rangeX,rangeY,particleAmount=50,speedRange=[1,1],maxAge=3,color="#FFA500")=>{const myExplosionEffect=new ExplosionEffect(rangeX,rangeY,this.game,particleAmount,speedRange,maxAge,color,this);this.displayList.add(myExplosionEffect);return myExplosionEffect},smokeEffect:(rangeX,rangeY,particleAmount=50,speedRangeX=[-.1,.4],speedRangeY=[-.1,.4],maxAge=20,color="#2e2e2e",interval=50)=>{const mySmokeEffect=new SmokeEffect(rangeX,rangeY,this.game,particleAmount,speedRangeX,speedRangeY,maxAge,color,interval,this);this.displayList.add(mySmokeEffect);return mySmokeEffect}}};this.tools={loader:Loader,color:{random:randomColor,randomWithAlpha:alpha=>randomColorWithAlpha(alpha),is:{hex:isHex,hsl:isHSL,rgb:isRGB},convert:{rgb:{toHsl:rgbToHsl,toRgba:rgbToRGBA},rgba:{toHsla:rgbaToHSLA,toRgb:rgbaToRGB},hex:{toRgba:hexToRGBA,toRgb:hexToRGB,toHsl:hexToHSL}}},physics:{rectToRectIntersect:(rect,rect2)=>{return rectToRectIntersect(rect,rect2)},circleToRectIntersect:(circle,rect)=>{return circleRectCollision(circle,rect)}},math:{createVector:(x,y)=>{return Vector2.CREATE(x,y)},vector:Vector2,clamp:clamp,lerp:lerp,randomInt:randomInt,randomFloat:randomFloat}}}__tick(){var _a,_b;if(!((_a=this.game.config.physics)===null||_a===void 0?void 0:_a.customTick)){(_b=this.physicsServer)===null||_b===void 0?void 0:_b.__tick()}}setVisible(visible){this.visible=visible;this.game.renderer.pipeline.pool()}switchCamera(camera){const foundCamera=this.cameras.find(_camera=>_camera===camera);if(foundCamera){this.currentCamera=foundCamera;if(this.game.config.debug){new debug.Log("Switched cameras.")}}else{new debug.Error("Cannot switch camera. Camera not found in the current scene.")}}switchToMainCamera(){this.currentCamera=this.mainCamera;if(this.game.config.debug){new debug.Log("Switched to main camera.")}}setMainCamera(camera){this.mainCamera=camera;if(this.game.config.debug){new debug.Log(`Set main camera to ${camera}.`)}}once(func,run){const one=new Once(func,run);return one}runAmount(func,maxAmount,run){const amount=new Amount(func,maxAmount,this.game,run);return amount}createTimer(ms,cb,args,repeat){const timer=new Timer(ms,cb,args,repeat);return timer}}var Duck;(function(Duck){Duck.AutoCanvas=()=>{let canvas=document.querySelector("canvas");let ctx=canvas.getContext("2d");if(document.querySelector("canvas")){canvas=document.querySelector("canvas");ctx=canvas.getContext("2d")}else{canvas=document.createElement("canvas");document.body.appendChild(canvas);ctx=canvas.getContext("2d")}return{canvas:canvas,ctx:ctx}};let Classes;(function(Classes){Classes.Game=Game;Classes.Scene=Scene;let GameObjects;(function(GameObjects){GameObjects.GameObject=GameObject;GameObjects.Circle=Circle;GameObjects.Rect=Rect;GameObjects.RoundRect=RoundRect;GameObjects.Sprite=Sprite;let Particles;(function(Particles){Particles.Particle=Particle;Particles.ParticleEmitter=ParticleEmitter})(Particles=GameObjects.Particles||(GameObjects.Particles={}));let UI;(function(UI){UI.Button=Button;UI.Text=Text})(UI=GameObjects.UI||(GameObjects.UI={}));let Misc;(function(Misc){Misc.CanvasModulate=CanvasModulate})(Misc=GameObjects.Misc||(GameObjects.Misc={}))})(GameObjects=Classes.GameObjects||(Classes.GameObjects={}));let Effects;(function(Effects){Effects.Effect=Effect;let Presets;(function(Presets){Presets.ExplosionEffect=ExplosionEffect;Presets.SmokeEffect=SmokeEffect})(Presets=Effects.Presets||(Effects.Presets={}))})(Effects=Classes.Effects||(Classes.Effects={}));let Misc;(function(Misc){Misc.Loader=Loader;Misc.Group=Group;Misc.Cutscene=Cutscene;Misc.CacheManager=CacheManager;Misc.PluginManager=PluginManager})(Misc=Classes.Misc||(Classes.Misc={}));let Base;(function(Base){Base.Amount=Amount;Base.Once=Once;Base.Render=Render})(Base=Classes.Base||(Classes.Base={}));let Sound;(function(Sound){Sound.SoundPlayer=SoundPlayer})(Sound=Classes.Sound||(Classes.Sound={}));let Cameras;(function(Cameras){Cameras.Camera=Camera})(Cameras=Classes.Cameras||(Classes.Cameras={}));let Physics;(function(Physics){Physics.Collider=Collider;Physics.PhysicsServer=PhysicsServer;Physics.PhysicsBody=PhysicsBody;let Models;(function(Models){Models.Hitbox=Hitbox;Models.Area=Area})(Models=Physics.Models||(Physics.Models={}))})(Physics=Classes.Physics||(Classes.Physics={}));let Models;(function(Models){Models.DisplayList=DisplayList;Models.PhysicsList=PhysicsList;Models.Texture=Texture})(Models=Classes.Models||(Classes.Models={}));let Map;(function(Map_1){Map_1.Map=map_Map;Map_1.TileMap=TileMap})(Map=Classes.Map||(Classes.Map={}));let Math;(function(Math){Math.Vector2=Vector2})(Math=Classes.Math||(Classes.Math={}));let Lights;(function(Lights){Lights.StaticLight=StaticLight})(Lights=Classes.Lights||(Classes.Lights={}));let Input;(function(Input_1){Input_1.Input=input_Input;Input_1.KeyboardInput=KeyboardInput;Input_1.MouseInput=MouseInput;let Models;(function(Models){Models.Key=Key;Models.Mouse=Mouse})(Models=Input_1.Models||(Input_1.Models={}))})(Input=Classes.Input||(Classes.Input={}));let Animation;(function(Animation_1){Animation_1.Animation=animation_Animation;Animation_1.AnimationFrame=AnimationFrame;Animation_1.AnimationManager=AnimationManager;Animation_1.AnimationState=AnimationState;Animation_1.StateMachine=StateMachine})(Animation=Classes.Animation||(Classes.Animation={}))})(Classes=Duck.Classes||(Duck.Classes={}));let Layers;(function(Layers){let Rendering;(function(Rendering){Rendering.zIndex={canvasModulate:1,gameobject:2,particle:3,button:4,text:5,graphicDebug:6,fades:7}})(Rendering=Layers.Rendering||(Layers.Rendering={}))})(Layers=Duck.Layers||(Duck.Layers={}));let Types;(function(Types){let GamepadInput;(function(GamepadInput){let XboxMapping;(function(XboxMapping){XboxMapping[XboxMapping["A"]=0]="A";XboxMapping[XboxMapping["B"]=1]="B";XboxMapping[XboxMapping["X"]=2]="X";XboxMapping[XboxMapping["Y"]=3]="Y";XboxMapping[XboxMapping["LB"]=4]="LB";XboxMapping[XboxMapping["RB"]=5]="RB";XboxMapping[XboxMapping["LT"]=6]="LT";XboxMapping[XboxMapping["RT"]=7]="RT";XboxMapping[XboxMapping["SHOW_ADDRESS_BAR"]=8]="SHOW_ADDRESS_BAR";XboxMapping[XboxMapping["SHOW_MENU"]=9]="SHOW_MENU";XboxMapping[XboxMapping["LEFT_STICK_PRESS"]=10]="LEFT_STICK_PRESS";XboxMapping[XboxMapping["RIGHT_STICK_PRESS"]=11]="RIGHT_STICK_PRESS";XboxMapping[XboxMapping["D_PAD_UP"]=12]="D_PAD_UP";XboxMapping[XboxMapping["D_PAD_DOWN"]=13]="D_PAD_DOWN";XboxMapping[XboxMapping["D_PAD_LEFT"]=14]="D_PAD_LEFT";XboxMapping[XboxMapping["D_PAD_RIGHT"]=15]="D_PAD_RIGHT";XboxMapping[XboxMapping["LOGO"]=16]="LOGO"})(XboxMapping=GamepadInput.XboxMapping||(GamepadInput.XboxMapping={}));let PlaystationMapping;(function(PlaystationMapping){PlaystationMapping[PlaystationMapping["X"]=0]="X";PlaystationMapping[PlaystationMapping["CIRCLE"]=1]="CIRCLE";PlaystationMapping[PlaystationMapping["SQUARE"]=2]="SQUARE";PlaystationMapping[PlaystationMapping["TRIANGLE"]=3]="TRIANGLE";PlaystationMapping[PlaystationMapping["L1"]=4]="L1";PlaystationMapping[PlaystationMapping["R1"]=5]="R1";PlaystationMapping[PlaystationMapping["L2"]=6]="L2";PlaystationMapping[PlaystationMapping["R2"]=7]="R2";PlaystationMapping[PlaystationMapping["SHARE"]=8]="SHARE";PlaystationMapping[PlaystationMapping["OPTIONS"]=9]="OPTIONS";PlaystationMapping[PlaystationMapping["LEFT_STICK_PRESS"]=10]="LEFT_STICK_PRESS";PlaystationMapping[PlaystationMapping["RIGHT_STICK_PRESS"]=11]="RIGHT_STICK_PRESS";PlaystationMapping[PlaystationMapping["D_PAD_UP"]=12]="D_PAD_UP";PlaystationMapping[PlaystationMapping["D_PAD_DOWN"]=13]="D_PAD_DOWN";PlaystationMapping[PlaystationMapping["D_PAD_LEFT"]=14]="D_PAD_LEFT";PlaystationMapping[PlaystationMapping["D_PAD_RIGHT"]=15]="D_PAD_RIGHT";PlaystationMapping[PlaystationMapping["LOGO"]=16]="LOGO"})(PlaystationMapping=GamepadInput.PlaystationMapping||(GamepadInput.PlaystationMapping={}))})(GamepadInput=Types.GamepadInput||(Types.GamepadInput={}))})(Types=Duck.Types||(Duck.Types={}))})(Duck||(Duck={}));const DuckEngine={Game:Game,Scene:Scene};const lib=DuckEngine;var __webpack_exports__Duck=__webpack_exports__._;var __webpack_exports__default=__webpack_exports__.Z;export{__webpack_exports__Duck as Duck,__webpack_exports__default as default};